Vision Sensor – Operating- and configuration software

Vision Sensor – Operating- and configuration software - Overview

Structure of PC software

The PC software is organised into the following three sections:

  • Vision Sensor – Operating- and configuration software – Short introduction

    For selection of a Vision Sensor sensor, or a sensor simulation model, for configuration with the “Vision Sensor Configuration Studio” tool or display (monitoring) with the “Vision Sensor Visualisation Studio” tool, or modification of different system settings such as IP addresses, firmware updates with the “Set” tool.

  • Vision Sensor Configuration Studio:

    Complete set of functions to configure and test Vision Sensor for one or several inspection tasks (jobs) in six simple logical operating steps.

  • Vision Sensor Visualisation Studio:

    For the display and monitoring of images and results from connected sensors, as well as job switch and job upload.

Fig.: Software structure

Context help

For all software functions a context sensitive help page is available and displayed as soon as a function is selected.

All available help pages can be viewed by pressing the Help- button („?“ symbol) or by double click to the online help window. There you also can do a keyword search. In comparison to the context help the size of this help window can be enlarged to view longer text more comfortable.

29.04.2014


Vision Sensor – Operating- and configuration software – Short introduction

Vision Sensor – Operating- and configuration software –
Short introduction

(Example: Object sensor)

Vision Sensor, Short introduction, Starting the software

This short guide explains step by step the procedure for setting an example inspection task on the vision sensor

To start the Vision Sensor application click to the desktop icon "Vision Sensor“.

Fig.: Icon Vision Sensor

Vision Sensor Device Manager: Open sensors or sensor simulation / Passwords

In this program, you can select a sensor or a sensor simulation for configuration or display (monitoring) and carry out different basic settings.

Next topic: Vision Sensor Configuration Studio: Setting sensor, Job

Configuring or displaying sensors

In order to open a sensor for configuration or display, select with a single left mouse click the required sensor in the "Active sensors“ list, then click on the button "Config“ to start the "Vision Sensor Configuration Studio“ software, or on the button "View“ for the "Vision Sensor Visualisation Studio“ software.

Sensor simulation

To open a sensor for offline simulation, select the required sensor in the "Sensors for simulation mode“ list, then click on the button "Config“ to start the module "Vision Sensor Configuration Studio“. Vision Sensor Visualisation Studio is not available for the simulation mode as there is no device to send the images for display.

Fig.: Vision Sensor Device Manager Overview

A) Active sensors
This list displays all the Vision Sensors available on the network that can be controlled from the PC.

B) Sensors for simulation mode
All the sensors available for offline simulation are displayed here.

C) Add sensors via IP address
Sensors, which are not visible after starting the software or after clicking the "Find" button in Vision Sensor Device Manager, can be add manually with eheir IP address, if they are available in the network (e.g. after a gateway) and if the IP address is well-known. Via clicking the button "Add" such sensor con be found and are added to the list of active sensors, in order to edit them.

D) Functions

  • Find

Activates another search procedure on the network to locate Vision Sensor products

  • Config

Configures a connected sensor or a sensor simulation

  • View

Displays image or result data from a connected sensor

  • Set

Edits network settings such as the sensor's IP address etc.

E) Context help

Context sensitive help

Passwords

When first started-up after installation, password entry is completely deactivated and auto login is preset to administrator.

If parameter settings are to be protected from unauthorised access, passwords should be given for the "Admin“ and "User“ password levels, see below. This can be called up via the menu bar File / User administration or via the button with the key symbol in the toolbar.

Fig.: Password button

Password levels:

Fig.: Password levels

In order to be able to use the function "Config“ after the allocation of passwords, it is now necessary to login by clicking on the toolbar login button, and then entering the assigned password.

Fig.: Login button

Fig.: Password input

Allocating an empty password means the password can be confirmed without any further entry. Activation of the "Deactivate password request“ checkbox, permanently deactivates password request.

If passwords have been assigned and then forgotten, it is possible to reset passwords to delivery status by reinstalling the software on the local PC.


Vision Sensor Configuration Studio: Setting sensor, Job

With this program, you can configure your Vision Sensor for one or several jobs in six simple logical operating steps.

Next topic: Alignment settings

Fig.: Vision Sensor Configuration Studio

The fields are:

A) Menu and tool bar

B) Setup Navigation / Operating steps
See next chapter for description

C) Image
Image output with graphically adjustable operating and search zones as well as zoom function also filmstrip navigation when in simulation mode

D) Context
Context-sensitive online help, automatically updated for each action.

E) Image acquisition mode
Switch-over between continuous (free run) and single image mode with trigger input (either from sensor or via onscreen button)

F) Connection mode
Switch-over between online and offline mode (sensor present or simulation without sensor)

G) Job selection
Changing variable content relating to action in set-up navigation, for setting of associated parameters.

H) Status bar
Different status information including Mode / Name of Vision Sensor / Active job. In Run Mode: Cycle time / cursor x/y location and pixel intensity / individual I/O on /off indication (like configured in "Output/Digital output").

Job Setup

Configuring a job
To configure a job, edit the job entry in the "Select job" field or e.g. create a new job. Set global parameters here, such as shutter, exposure or the resolution which is valid for the entire job.

For Job- setup: in Setup/Job edit or generate a new job in field "Jobs".

Fig.: Vision Sensor Configuration Studio Job

One job contains all settings and parameters necessary to perform a specific inspection task.

Jobs are created here, and several jobs can be stored in the Vision Sensor. All global settings, valid for each individual job, e.g. shutter, gain, illumination settings etc. are also carried out here.

  • The following basic image settings should first be made to ensure a high-contrast and sharp image:

    * Image brightness: Set shutter or amplification, see Job/General

    * Image sharpness: Focus setting via the screw on the back of the Vision Sensor camera itself

  • When delivered, the factory settings are trigger mode = "free run" (see Job/General) and image acquisition mode = "continuous" . A new image is continuously displayed for easier focus and brightness set up.

  • The subsequent setting of alignment and detectors should preferably be carried out in single image mode, as all settings are then based on a master image and image collection is not continuously carried out.

  • Alignment and multiple different detectors can subsequently be defined within one job to solve an inspection task.


Alignment settings

Alignment compensation can be necessary for objects whose position varies on the screen.

Next topic: Detector settings

Set the working zones on the parameter to be used for alignment tracking by adjusting the graphic frame to the appropriate position and size on the image.

The associated parameters are displayed on the bottom right-hand side and can also be adjusted there.

Alignment, when used, affects the positions of all the detectors subsequently defined in this job.

In this example, the outside contour is used for alignment and the plug can be found either by contour or by pattern matching. If the angular rotation of the object can vary also, the contour method must be used.

Fig.: Alignment


Detector settings

Different detectors can be selected and adjusted to solve an inspection task. First the required detector is selected in the dialog box shown below.

Fig.: Detector list, Object sensor

Then the working and search zones are graphically set on the screen. If “teach zones” (red outline) exist, they are taught immediately after completion of the settings. All the detectors defined in this job are shown in the bottom left-hand corner. The parameters of the currently selected detector are shown in the bottom right-hand corner and can be adjusted there.

If other parameters are to be checked on the same part, many other detectors can be created as described above by clicking on "New".

In the example two brightness detectors are defined to check the presence of metal contacts in a plastic connector housing.

Detector 1: contact found (brightness value is in defined range as the shiny metal contact is mounted) result positive.

Detector 2: contact not found (brightness value out of defined range, as only weak reflection from the black plastic housing background) result negative.

Fig.: Detector settings


Output, I/O and data output

The output module enables different settings of digital inputs/outputs and data output.

Select and activate the interfaces in the different tabs. Logically connect detector results and assign to the available I/O´s.

In order to enable the output of serial result data, select the required interface and compose data string.

Next topic:Result

Fig.: Output, digital and data

Setting possibilities in the different tabs:

  • I/O mapping

    Settings for the I/O Hardware configuration.

  • Digital Output

    Selection of digital signal outputs and definition and assignment of logical connection using the Boolean results of all detectors. Definition of complex logic connections via table or via input of a logical formula.

    A different logical connection can be assigned to each available digital output.

  • Interfaces

    Selection, setting and activation of the individual interfaces such as: programmable input IN2, RS422, I/O extension, Ethernet and Ethernet/IP

  • Timing

    Setting of delay times: Trigger delay, result delay and duration of result

  • Telegram

    Setting and preview of data output string via RS422 or Ethernet.

    Selection of: binary or ASCII protocol, header and/or trailer, standard contents and/or flexible, combinable, special individual data from the individual detectors.

    Any number of individual results from all the defined detectors can be freely arranged in an output string.


Result

With this function, an inspection is carried out on the PC for control purposes, using all the settings made. All the results are produced and displayed just as on the sensor. However e.g. execution times will not be updated as these values are only informative when implemented on the sensor itself. See next step: „Start Sensor“.

Next topic: Start sensor

Fig.: Result display


Start sensor

When this function is activated, all settings are transferred to the sensor, stored in the flash memory and carried out in e.g. in free run or in triggered mode according to the settings made. All information in the list of detectors, result field or under „Statistics“ is updated here.

If using “triggered mode” then a trigger will be required from the external control system, alternatively a ‘software’ trigger can be sent using the Trigger button the left hand side of the image area.

Next topic: Vision Sensor Visualisation Studio, display images and results

Fig.: Start sensor


Vision Sensor Visualisation Studio, display images and results

This program enables the monitoring/inspection of the connected sensor and the analysis of inspection results.

Click to the “View” button in the Vision Sensor Device Manager software to start the Vision Sensor Visualisation Studio module. (You can open multiple copies of this software if you are using multiple cameras on the system, however only one ‘connection’ is allowed to each Vision Sensor).

The current image is displayed with the drawings for alignment and the detectors (if „image transmission = active“ is activated in the configuration module under Job/General).

The tab „Result“ shows the individual detectors with their results and the overall result.
The tab „Statistics“ shows further statistical results.
The "Freeze image" button enables result-controlled images (e.g.: bad part) to be kept on the display.
"Zoom" enlarges images.
With "Archive images", images and result data, as previously set under "File/Configure archiving", can be archived on the hard disk of a connected PC, with or without numerical result data.
With "Rec. images" the last 10 images can be retrieved from the Vision Sensor sensor.
In the tab „Job“, it is possible to switch between jobs present on the sensor.
In the tab „Upload“, further, previously defined jobs or whole job sets can be loaded from the Vision Sensor Visualisation Studio on to the sensor.

Fig.: Vision Sensor Visualisation Studio


Vision Sensor – Operating- and configuration software – Vision Sensor Device Manager, all functions

In this program you can select a sensor or sensor simulation for configuration or display (monitoring) and carry out different basic settings:

  • Active sensors
  • Sensors for simulation mode
  • Find / Add active sensor active sensor
  • Configuring a connected sensor connected sensor
  • Display images and result data image and result data
  • Sensor's network settings
  • Update / Firmware update / Firmware update
  • User administration / Passwords / Passwords (button with Key- symbol)

Fig.: Vision Sensor Device Manager

If the "Configure" function is not accessible (button inactive), login (button with door- / arrow- symbol) with password entry is required. If you do not know the password, please contact the administrator.


Active sensors

All sensors available on the connected network are displayed in the selection list Active sensors.

Configuring a connected sensor (call up Vision Sensor Configuration Studio)

Display images and result data (call up Vision Sensor Visualisation Studio)

Significance of parameters displayed
Parameter | Significance
IP address | Sensor´s IP address in the network
Hardware | Hardware (e.g. R3, ….)
Sensor type | Sensor type (Object-, Code reader)
Variant | Sensor- sub variant (e.g. Standard )
Version | Firmware version
Mode | Operating mode (Run, Config or Offline)
Sensor name | Name of sensor
Manufacturer | Name of manufacturer
Mac-Address | Sensor´s Mac address
Subnet mask | Sensor´s subnet mask
Gateway | Standard gateway
DHCP | DHCP active / inactive
Operating system | Type of operating system
Operating System Version | Version of operating system
Platform | z.B. Vision Sensor
Hardware version | Hardware version
RAM | RAM size
Flash | Flash size

If the "Configure" function is not accessible (button inactive, greyed out), login with password entry is required. If you do not know the password, please contact your site system administrator.

Information:

  • If no entries are shown in the list, even though a sensor is connected, you can refresh the list with the "Find"-button or manually "Add" the IP address of the Vision Sensor product.
  • If no sensor is connected, simulations of different sensor applications are available in the Sensors for simulation mode list such as 'Object' sensor.

Via the button “details” (at the right, upper corner of the parameter list of “Active Sensors”) a detailed list of all Vision Sensor parameters is accessible.

Fig.: Sensor properties


Sensors for simulation mode

In order to access the simulation mode, select the required sensor type with a double click and pressConfiguring a connected sensor button (call up Vision Sensor Configuration Studio).

Significance of parameters displayed

Parameter | Significance
Type | Sensor type (e.g. Object , Code reader ...)
Version | Firmware version
Variant | Sensor- sub variant (e.g. Standard …)

If the function „Config” is not accessible (button inactive) a Login (button with door / arrow symbol) with password input is necessary. If you do not know the password please contact your administrator.


Find / Add active sensor

If no sensors are shown in the list Active sensors, even though a sensor is connected, please follow these steps:

Find / search sensor:

To search for sensors which are connected directly to the PC, or which are available in the network, click button "Find". Basic understanding of PC networking is required.

Add active sensor:

If you know the IP-address of a sensor, please enter it into the field IP-address and click button "Add".

Now the sensor appears in the list and can be accessed for e.g. Config or View.

If the function "Config" is not accessible (button not active / greyed out) a Login with password input is necessary. If you do not know the password please contact your site systems administrator.


Configuring a connected sensor

Mark a sensor (simulation) in the list and click on the "Config" button.

The configuration program Vision Sensor Configuration Studio is called up and the jobs currently stored on the sensor are shown in the selection list.

When Vision Sensor Configuration Studio is called up, you may be required to enter a password. See User administration / Passwords for defining passwords.

s. chap Vision Sensor Configuration Studio Vision Sensor – Operating- and configuration software – Vision Sensor Configuration Studio, all functions


Display images and result data

Mark a sensor in the list and click on the "View" button.

The Vision Sensor Visualisation Studio program is opened up and images and measurement results from the active jobs are displayed on screen.

Information:

Calling up Vision Sensor Visualisation Studio does not affect operation of the selected sensor.

s. chap. Vision Sensor Visualisation Studio Vision Sensor – Operating- and configuration software – Vision Sensor Visualisation Studio, all functions


Sensor's network settings

You can change the network settings of the selected sensor with the Set button.

The IP address, subnet mask, standard gateway, DHCP and sensor name can be set here.

The PC's IP address and subnet mask are displayed below in the Vision Sensor Device Manager status bar.

The address structure must be correct in order to be able to connect the sensor to the PC. The sensor's IP address etc. can therefore be modified accordingly here if necessary.

Please contact your site administrator for the definition of network parameters. Further information on this subject can be found in the printed manual.

If "DHCP = active" is selected, a unique name must be given for the sensor as the IP address is newly assigned each time the sensor starts up and can thus change.

You require administrator authorisation for these functions (see user administration).

Fig.: Vision Sensor Device Manager, IP- Setup

s. chap. Network settings / Ethernet connection Network settings, Short reference and Network connection


Update / Firmware update

You can update the firmware of the selected sensor through the menu item File/Update.

The appropriate firmware update file must first have been obtained via download from www.festo.com. In the support portal search for "SBSI".

Select the appropriate firmware file in the file dialogue box that opens and follow the instructions.

Do not disconnect the power to the sensor during this process unless prompted by the onscreen instructions.

Fig.: Vision Sensor Device Manager, Firmware update


User administration / Passwords

The Vision Sensor configuration distinguishes between three user groups, which have different authorisations:

Fig.: Vision Sensor Device Manager, Password input

User | Vision Sensor Device Manager | Vision Sensor Configuration Studio | Vision Sensor Visualisation Studio
Administrator | all functions | all functions | all functions
Operator | all functions except - Config. - settings -update | none | all functions
User | all functions except - Config. - settings -update | none | only display of images, inspection results and statistics

After software installation, login is automatically carried-out when the application is called-up, without password request. No passwords are assigned.

Define passwords:

Select file user administration in the File menu or click on in the toolbar to assign passwords for the administrator and user categories. Once a password has been entered, a logout is automatically carried out, i.e. input of the new password is now necessary. Assigning an "empty" password, enables entry by simply confirming with OK.

Fig.: Password button

Login

Once passwords have been assigned and automatic logout has taken place, a login is required e.g. for sensor configuration. Click on in the tool bar to login and / or (after password entry) to deactivate password entry for the next session for the selected user group.

If the "deactivate password request" box is ticked, the password will not be requested when the application is next started.

Fig.: Login- button


Vision Sensor – Operating- and configuration software – Vision Sensor Configuration Studio, all functions

With this programme, you can configure your Vision Sensor for one or several jobs in six logical operating steps.

  • Jobs (Inspection tasks)

  • Alignment

  • Detectors

  • Output of inspection results

  • Result

  • Start sensor

Other program functions:

  • Trigger settings
  • Switching between online and offline mode
  • Simulation of jobs (offline mode) using series of images.
  • Creating filmstrips Image recording for analysis or simulation purposes. Use of Vision Sensor Configuration Studio may require password entry (administrator user group). See User administration / Passwords
  • Image recorder

To obtain a continuously updated live image even without trigger, carry out the following (if necessary temporary) settings:

  • Set to free run in "Job/Image acquisition"
  • Set to continuous in "Trigger / collect image" User interface and operating procedure


Jobs (Inspection tasks)

A job contains all the settings and parameters required to carry out a certain inspection task.

Fig.: Vision Sensor Configuration Studio Job


Creation, modification and administration of jobs

A selected job (marked in the list) can be modified by entering parameters in both tabs of the configuration window:

If there is no job entry in the list, you must create a new job first.

Creating a new job:

  1. Click on the button "New" underneath the job selection list. A new job entry appears in the list.
  2. Edit the entry with a double click on the respective line (Name, Description, Author ):

Further functions:

Function | Description
New | Defines a new job
Load | Loads a job from the PC
Save | Saves the selected job on the PC
Delete | Deletes the selected job from the list
Delete all | Deletes all the jobs in the list

All the functions described can also be carried out using the File menu.

Fig.: Vision Sensor Configuration Studio Joblist

If the sensor's memory capacity is exhausted and no further jobs can be loaded on to the sensor, the colour of the remaining memory display in the status bar changes to red.


Loading and saving jobs and job sets

Jobs can be loaded and stored individually or as a whole set of jobs in a job set. If several jobs are stored on the sensor, they form a job set, which you can store as an XML file on your PC or on an external storage medium just like an individual job.

Next topic: Parameters for image acquisition

Saving a job / job set:

  1. Select Save job as ... from the File menu.
  2. Select Save job set as ... from the File menu.

Loading a job / job set:

  1. Select Load job ... from the File menu.

  2. Select Load job set ... from the File menu.

  3. Activate the button "Start Sensor" to transfer jobs to the sensor.

    All the jobs stored on the sensor are deleted when a new job / job set is loaded !

Fig.: Vision Sensor Configuration Studio, Load / save job


Parameters for image acquisition

The basic parameters for image acquisition are determined in the tab Image acquisition.

Next topic: Parameters for image transmission

Set image sharpness with the focus setting screw on the back of the Vision Sensor.

Parameters | Functions and setting possibilities
Resolution | Standard resolution is VGA (640x480), but a lower resolution (QVGA) can be selected with time-critical applications or for compatibility reasons. Available resolutions: R3: WVGA (736x480), VGA (640x480), QVGA (320x240), QQVGA (160x120) When the resolution is altered, all the detectors previously defined are deleted!
Zoom | Via the Zoom function different fields of view / image zones can be selected
Dynamic | Optimization of characteristics of image capturing: "Linear" means linear response curve(behaves like Vision Sensor-products with no dynamic image capturing), "High" means better graduation in bright areas of the image (avoids override).
Trigger mode | Select trigger mode (triggered or free run). In case of triggered mode trigger can be done by hardware-trigger (Pin 03 WH) or over one of the data interfaces. In free run the Vision Sensor continuously captures images and processes evaluations.
Shutter speed | Parameter for control of image brightness. Image brightness preferably should be set with “Shutter speed”, only in case that it´s not possible to achieve the required image brightness this way use the slider “Gain” (Default value of Gain = 1). With fast moving objects a high shutter value can cause blurring of the image. Exposure can be set automatically with the Auto-Shutter button. Maximum shutter value is 100ms. Maximum duration of internal illumination pulse is 8ms. Shutter timers longer than 8 ms just make sense, if internal and external illuminations are used.
Gain | Set image brightness preferably with shutter speed first, and only if necessary in a second step with gain. (Default value of Gain = 1).
Quadrants (illumination) | By click on the LED single quadrants of illumination can be switched off. This function may avoid reflections at low working distances.
Internal illumination | Switch internal illumination (on, off).
External illumination | Switch external illumination (on, off, permanent). External illumination is switched over Pin 09 RD.

To obtain a continuously updated live image even without trigger, carry out the following (if necessary temporary) settings:

  • Set to free run under "Job/Image acquisition"
  • Set to continuous under "Trigger / collect image"


Parameters for image transmission

Image transmission and/or the image recorder can be activated in the Image transmission tab.

Next topic: Parameters Archiving

Set image sharpness with the focus setting screw on the back of the Vision Sensor.

The symbol “exclamation mark” inside life picture means, that image display / transfer on PC is slower than image processing on Vision Sensor. Not all images are transferred and displayed on the PC. This may cause lost images during archiving. If this symbol occurs often, PC-programs running in background should be closed in order to improve PC performance.

Parameters | Functions and setting possibilities
Vision Sensor Visualisation Studio | Transmission of images to Vision Sensor Visualisation Studio can be switch on and off (Off increases the speed of Vision Sensor).
Image recorder | Storage of max. 10 images in the sensor's internal ring buffer. Setting possibilities via pop-up menu: off, bad images, all images
Ram disk | Storage of last image in ram memory, this image can be taken by a FTP-client. Ram disk Settings: Off, Any, Pass, Fail. The image is stored under name "image.bmp" in folder /tmp/results/ . Parameters for FTP-client: user "user", password "user" Example Windows Console: Microsoft Windows XP [Version 5.1.2600] (C) Copyright 1985-2001 Microsoft Corp. C:\>ftp 192.168.100.100 Verbindung mit 192.168.100.100 wurde hergestellt. 220 Welcome to Vision Sensor ftp-server! Benutzer (192.168.100.100:(none)): user 331 Please specify the password. Kennwort: user 230 Login successful. ftp> cd /tmp/results 250 Directory successfully changed. ftp> get image.bmp 200 PORT command successful. Consider using PASV. 150 Opening BINARY mode data connection for image.bmp (354358 bytes). 226 File send OK. FTP: 64d Bytes empfangen in 0,23Sekunden 1514,35KB/s ftp> Image is now in drive C of executing PC. If activated, results can be also received in the same way from file "results.csv".

Different types of archiving images

Access | Description | Max. number of images | Image filter | Drawings
Image recorder in Vision Sensor (Ram) | Images stored in run-mode on Vision Sensor can be transferred by Vision Sensor Configuration Studio or Vision Sensor Visualisation Studio to a PC. | 10 | like predefined in settings "Filter" | no
Vision Sensor Visualisation Studio archiving / Vision Sensor Configuration Studio save image | Images transferred to Vision Sensor Visualisation Studio can be stored on hard disc of PC. | unlimited (Limit is size of hard disc in PC) | like predefined in settings "Filter" | selectable yes / no
Saving of filmstrips in Vision Sensor Configuration Studio | Current images from filmstrip can be saved as filmstrip (*.flm) or as bitmap (*.bmp) on hard disc of PC. | 50 | without filtering | no
Last image in Vision Sensor (Ram Disk) | Last image is stored in ram disk of Vision Sensor and can be taken by FTP from directory /tamp/results. | 1 | without filtering | no
Archiving of images via FTP or SMB | Archiving of images via FTP or SMB | unlimited (Limit is size of hard disc in PC) | selectable with / without filtering | no
Get Image Request | Last image from Vision Sensor by using GetImage command in a program of a PLC or PC. | unlimited (Limit is size of hard disc in PC) | like predefined in settings "Filter" | no

Fig.: Tab Job / Image transmission


Parameters Archiving

In tab Archiving the archiving of data can be defined.

Next topic: Filter for image improvement.

Parameters | Functions
Archive type | Off: no archiving, FTP: archiving to FTP server, SMB: archiving to a drive via SMB-service (Server Message Block) Attention: if archiving server is in different sub network set gateway first with Vision Sensor Device Manager.
IP Address | IP-Address of target server
Sharing name | Sharing name, specified in dialog "Advanced Sharing" in PC
Workgroup (Domainname) | Option ! , Workgoup / Domainname of server / client
User name | User name for FTP / SMB connection.
Password | Password for FTP / SMB connection.
Directory name (pass) | Directory for archiving of data of good parts (pass) (for C:\TESTPASS just enter TESTPASS)
Directory name (fail) | Directory for archiving of data of bad parts (fail) (for C:\TESTFAIL just enter TESTFAIL)
Filename | Filename for images and protocol file, this name is extended automatically by the image number (e.g. TESTFILE).
Image files | Activates archiving of images
Result files | If protocol file is active, there will be generated automatically a .csv file for each inspection (trigger). Contents of the file are specified in "Output / Telegram". Files will have increasing numbers.
Image contents | Possibility to select, whether images should be stored including the selected software filter or "raw" as taken from the camera.
Storage mode | Limit: after reaching maximum number of files transmission is stopped. Unlimited: files are stored, until target drive is full. Cyclic: after reaching maximum number of files the older files are replaced by the newer ones.
Max. number of files | Maximum number of file sets (image+protocol) which are allowed to be stored in the target directory.

Fig.: Tab Job / Archiving


Filter for image improvement.

In tab Pro-processing you can filter the images taken by the sensor before analysis. Up to 5 filters can be used, which are processed in the selected sequence. All detectors (alignment and standard- detectors) will work with the pre-processed image (not with the original image)

Especially with morphological operations (Dilation and Erosion) can lead to improvements by combining them. E.g. by processing Erosion and Dilation one after another – or in reverse order.

Next topic:Parameters Cycle time

Example:- Black points in front of a bright background can be eliminated, if a sequence of dilation and erosion is processed.

The following filters are available for image improvement:

Filter type | Effect
Gauss | Reduction of disturbance, suppression of disturbing details and artefacts, smooth’s edges
Erosion | Extension of dark zones, elimination of light pixels in dark zones, elimination of artefacts, division of bright objects. Each grey value is replaced by the minimum grey level found inside the filter mask (e.g. 3x3).
Dilation | Extension of light zones, elimination of dark pixels in light zones, elimination of artefacts, division of dark objects. Each grey value is replaced by the maximum grey level found inside the filter mask (e.g. 3x3).
Median | Reduction of disturbance, noise reduction
Mean | Reduction of disturbance
Range | Finds edges (starting with firmware 1.5.x.x)
Mirror | Vertical mirroring
Flip | Horizontal mirroring
Inversion | Inversion of image

The effect of an active filter is immediately visible in the image. The larger the filter core is selected, the stronger the effect of the filter. The filters are used in the order listed from top to bottom.

Configuring filters:

  1. Select the filters in the required order, via the pop-up menus in the column Filter.
  2. Enter the size of the filter core in the pop-up menu in the column Property. If the setting is Off, the respective filter is deactivated.

Fig.: Tab Job / Pre-processing


Parameters Cycle time

In tab Cycle time the timing conditions of the Vision Sensor can be defined.

Next topic:Alignment

Parameter | Function and possibilities

Max. cycle time

Parameter to control the minimum and maximum time of a cycle. Inside a cycle some images can be evaluated (in case of "Number of images (max)" >1) Maximum processing time per image interrupts a job after a defined time. The result of a cycle after a timeout is always "not o.k". Maximum processing time should be selected higher than the time demand for one execution.

The processing time is the time elapsed from trigger till the setting of the digital outputs. If this cycle time should be limited (e.g. if the machine cycle should not be exceeded) this function can be used. The result of all detectors which are not processed / finished after this processing time has elapsed are set to “failed”. As the currently processed detector will still be finished, please consider that the adjusted job time may not be met a 100% exactly, and it may last a few milliseconds longer till the job is interrupted.

It´s recommended to test the real cycle time and to choose a value for this parameter which is a bit smaller / shorter.
Max. processing time per image | Maximum duration of one evaluation inside a cycle including image capturing.
Min. processing time per image

Minimum duration of one evaluation inside cycle including image capturing. Minimum processing time blocks trigger signals which are coming before the minimum processing time was reached.

Number of images (max.)

 Maximum number of image capturings, which are processed after one trigger, if the stop criteria is not fulfilled. The stop criteria is the "Overall job result" (access via Output/Digital output)

LED-Power

This value is calculated automatically. Standard Value is 100%. LED-power may be reduced, if shutter time is quite long and minimum job time is quite short, because the recovery time for the LEDs may be to short in this case. To obtain 100% LED power, minimum job time should be factor 10 bigger than shutter time.
Auto | If “Auto” is selected the minimum cycle time is automatically adjusted in the way that the LED-power is 100%

Fig.: Tab Job / Cycle time


Alignment

Alignment compensation can be necessary for objects or characteristics whose position varies in the image.

Mode of function of an alignment detector

An alignment detector is a tracking coordinate system, which is anchored to one selected characteristic. All subsequently defined detectors are aligned in relation to this coordinate system. Maximum one alignment detector can be defined for each job.

For information to the meaning and adjustment of the different frames see chap.

Search and parameter zones

As alignment requires an extra calculation step, it should only be used if required by the application.


Alignment Contour detection

This alignment detector is ideal for the detection of contours with edges at any angle.


Alignment detector Contour detection

Next Topic: Detectors

Settings in parameter tab:

Parameters | Functions and setting possibilities
Switching threshold | Zone for the required concordance of the found contour with the taught contour
Angular zone | Angular zone in which search is carried out
Increment (angle) | Increment in ° of the search across the selected angular zone (If the angular zone and increment are set to 0, the detector only searches for non-rotated objects)
Accurate - fast | Candidates with score less than indicated will already be rejected during search.
Min. contrast pattern | Minimum contrast required with taught model for an edge to be accepted as one.
Min. contrast image | Minimum contrast required in current image for an edge to be accepted as one.
Edit ROI | By edit ROI there can be masked out parts of the search area. The parts which are not relevant for this examination can be painted out like using an eraser. Masks can also be inverted, means that parts which are interesting can be marked.

Fig.: Alignment detector, contour detector


Detectors

Each job contains one or several inspection steps (detectors), which you can define here.

With the very first selection of the step “Detector” a window with a list of all available detectors opens.

Drawings in the image (yellow, red frames etc.) can be activated or deactivated for any detector or category in the menu item "View/all drawings". With "View/drawings of current detector only", all drawings on the screen can be deactivated with the exception of the detector currently being processed.

Next topic: Creating and adjusting detectors

For information to the meaning and adjustment of the different frames see chap. Search and parameter zones

Fig.: Detector list for selection (here Object sensor)


Creating and adjusting detectors

Types of detector:
  • Detector Pattern matching
  • Detector Contour
  • Contrast detector
  • Brightness detector
  • Grey detector
  • Barcode detector.
  • 2D Code detector

Create new detector:

  1. Click on “New" button under the selection list in the configuration window and select the type of detector required. A new detector entry appears in the selection list.
  2. Edit the name of the detector with a double click on "Name"

Configure detector:

  1. Activate the detector in the selection list.
  2. Graphically define the appropriate search and parameter zone on the image.
  3. Configure the detector by entering/adjusting the parameters in the Parameters /General and if necessary Advanced tabs in the configuration window. Which tabs are shown depends on the type of detector selected.

Functions for administration of detectors:

Control panel | Functions
New | Adds new detector > dialogue box with above-mentioned detector selection list appears
Copy | Copies all parameters from one detector to one or several others. The parameter zones are not copied. All detectors must be from the same type. Copy process: Create all desired destination detectors; they must be of the same type as the source detector. Mark source detector in the list Click to button „copy“ A list occurs, mark all desired destination detectors. (To select several press “Ctrl” key) Click “Copy” to confirm
Reset | Resets parameters and search and parameter zones of selected detector to standard values
Delete | Deletes the selected detector
Delete all | Deletes all the detectors in the list

Information:

"Flash x.x/yyyy.y kB" appears in the bottom corner of the screen, indicating first the memory used by the current configuration x.x), and the memory available on the sensor (yyyy.y) in kB. Should the memory used exceed the available memory, this indicator switches to red as there is not enough space for the current settings on the sensor. In this case you can delete other jobs from the sensor before transfer.

Drawings in the image (yellow, red frames etc.) can be activated or deactivated for any detector or category in the menu item "View/all drawings". With "View/drawings of current detector only", all drawings on the screen can be deactivated with the exception of the detector currently being processed.


Selecting a suitable detector

Next topic: Detector Pattern matching

The following detectors are available in Vision Sensor Configuration Studio:

Object sensor

Type of detectors | Description
Pattern matching | Part detection using pattern matching, X- and Y- translational
Contour detection | Part detection using object contour, up to 360° rotation
Contrast | Evaluation of contrast in selected search zone
Brightness | Evaluation of brightness in selected search zone
Grey level | Evaluation of grey values in selected search zone

Code Reader

Type of detectors | Description
Barcode | Barcode reading 1D Codes (Code reader)
2D- Code | Data code reading 2D Codes (Code reader)


Detector Pattern matching

This detector is suitable for the detection of patterns of any shape, even without distinctive edges or contours.

Fig.: Detector Pattern matching

Next topic: Detector Contour

Pattern matching application

Settings in tab Basic:

Parameters | Functions
Switching threshold min/max | Zone for the required concordance of the pattern found with the pattern taught.
Accurate - fast | Number of search levels / coarsening levels. 0 = automatic selection Higher value: faster = riskier (overlook candidates) Smaller value: slower = less risky (all candidates)
Position check | Checks whether the pattern found is in the right position. If position check is activated, the position frame is shown in blue (either rectangular or elliptic).
Pattern | Shows the taught pattern = contents of the red frame

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Optimisation Pattern matching:

Execution speed:

  • Search zone for position (yellow frame) only as large as necessary: Attention: The search area marks the area where the centre point of the pattern is searched!
  • Reduce resolution to QVGA instead of VGA (Attention: Global parameter, affects all detectors!)
  • Set “accurate – fast” to fast

Robust pattern detection:
  • Search zone for position (yellow frame) sufficiently large?
  • Reduce search levels
  • Distinctive grey value pattern?, re-teach if necessary
  • If found at wrong position: use distinct sample, re-teach if necessary

If, directly after teach, the found position (green frame) is not identical with teach area (red frame) the slider “Accurate – fast” should be set to “Accurate”


Pattern matching application

In this example a metal contact (left side) in a black plastic part is taught as pattern. It is detected with a high score value, as the metal contact is mounted. (Threshold near 100%)

Fig.: Pattern matching, application example, positive result.

Fig.: Pattern matching, application example, negative result.

If the same pattern matching is performed at a position, where the metal contact searched for is not mounted, the score value does not reach the threshold and the result gets negative. With the function pattern matching the detection is made by the grey values of the pixels at the corresponding position in the image. As here the inner, shiny and therefore bright region does not exist, and instead of this the grey values of the pixels in the corresponding position do have lower (darker) values, the score value is significantly lower than with the contact mounted.

But, as also big regions of the search area are matching (the outer dark frame of the black plastic) the score value is not zero, but approx. 70%.

The settings in these examples are just made to illustrate the function of the detector pattern matching. In real operation these settings should be optimized further. (E.g. by smaller search and / or feature regions >> relevant pattern gets more significant, etc.)

By Teach the pattern inside the red frame gets stored in the sensor as reference pattern. Size and position of the reference pattern is defined by the red frame. In Run mode the Vision Sensor tries the find the best fit of the reference with any region in the image. Depending on the settings of the threshold the object / feature is detected or not. The function pattern matching does not work with rotated images; it´s tolerance is limited to an angle of approx. +/- 5°. Patterns with higher angular deviation are not detected. This behaviour can be used to detect if a part is in correct orientation in feeding application.

Example:

The following pattern was taught:

Fig.: Pattern, reference

With the following three examples, the object is detected with 100% concordance, as the taught pattern is exactly the same, even though it is in another place on the image.

Only offset in X or Y direction and not rotated.

Fig.: Pattern, positive result

With the three now following examples in the second row, the object is also detected, but with less than 100% concordance, as it deviates from the taught pattern in some pixels. Good or bad results are supplied according to the setting of the threshold value (degree of concordance).

Fig.: Pattern, limit case

Pattern detection tolerates a ± 5 degree rotation. This means, the images in the bottom row were also detected, although the actual degree of concordance with the sample image is less than 100%, despite 100% pixel concordance.

Patterns with a larger degree of rotation are not detected.

This can be used as a function e.g. for detection of the correct alignment of parts on feeding units.

Fig.: Pattern, rotation


Function: Mask

With function „Mask“ the search region can be modified. Inside the search- and feature- areas of the different detectors regions can be included or excluded.

Application example:

In this example only the green marked regions inside the ROI of the brightness detector are relevant.

Fig.: Mask

Parameter | Function
Cursor (shape) | Changing shape of the cursors (Sqare, circle or line). With setting: "Cursor = Line" and pushed shift- key the angular position of the line changes in steps of 15°.
Cursor size | Changing size of the cursors
Add pixels / Remove pixels | Select if the cursor adds or removes pixels
Add all | Adds all pixels
Remove all | Removes all pixels
Undo | Undo function – last action
Redo | Redo function – for last undo action
Display | Select a display mode

By the flexible selection of cursor- shape and size, as well as if an action adds or removes pixels, complex geometric or free shaped search regions can be defined in a simple and quick manner. This regions are included = relevant (=green), or excluded (=red) in the search area.

To use the function „Mask” the following settings are necessary for the different detector types

Detector type | Necessary setting to use the function „Mask“
Pattern matching | Generally possible with „Edit pattern”
Contour | Generally possible with „Edit contour”
Contrast | Search region „Free shape“
Brightness | Search region „Free shape“
Grey | Search region „Free shape“


Function: Mask

With function „Mask“ the search region can be modified. Inside the search- and feature- areas of the different detectors regions can be included or excluded.

Application example:

In this example only the green marked regions inside the ROI of the brightness detector are relevant.

Fig.: Mask

Parameter | Function
Cursor (shape) | Changing shape of the cursors
Cursor size | Changing size of the cursors
Add pixels / Remove pixels | Select if the cursor adds or removes pixels
Add all | Adds all pixels
Remove all | Removes all pixels
Undo | Undo function – last action
Redo | Redo function – for last undo action
Display | Select a display mode

By the flexible selection of cursor- shape and size, as well as if an action adds or removes pixels, complex geometric or free shaped search regions can be defined in a simple and quick manner. This regions are included = relevant (=green), or excluded (=red) in the search area.

To use the function „Mask” the following settings are necessary for the different detector types

Detector type | Necessary setting to use the function „Mask“
Pattern matching | Generally possible with „Edit pattern”
Contour | Generally possible with „Edit contour”
Contrast | Search region „Free shape“
Brightness | Search region „Free shape“
Grey | Search region „Free shape“

Function „Mask” of search regions, examples

For the detectors Contrast, Brightness and Grey three different shapes of search regions: Circle, Rectangle and Free shape are available. If with shape Circle or Rectangle, which can be rotated also by picking and moving the tip of the arrow, the shape of the search area cannot be fit in a satisfying manner to the shape of the object the “Free shape” function can be used. With this any geometry can be designed for a search area. To design the search area the cursor can be set to a square or a circle of any size.


Detector Contour

This detector is suitable for detection of samples from edges at any angle.

Next Topic:Contrast detector

Settings in Scaling tab:

Settings in Angle tab:

Contour application:

Function: Mask

The contours of an object in the search area are taught and stored in the sensor. In Run mode the sensor searches the position of the best fit with the taught contour. If the fit is higher than the selected threshold the result is positive. The function contour detection can work incomplete 360° angular detection mode. So the object can be rotated in any angle. The angular settings must be set accordingly.

Fig.: Detector contour, tab pattern

The in the below, right corner in pale blue shown edges (high contrast changes in the image) have been identified and drawn because of the before made parameter settings. The found edges / contour can be influenced by changing these parameters, or by the function “Edit contour”. The Vision Sensor now searches this contour in the search area (yellow frame).

Settings in tab pattern:

Parameters | Functions
Threshold Min/Max | Zone for required concordance of found contour with taught contour.
Min. contrast pattern | Minimum contrast required with taught model for an edge to be detected as one.
Min. contrast image | Minimum contrast required in current image for an edge to be accepted as one.
Position check | Checks whether the sample found is in the right position. If position check is activated, the authorised zone for the position of the found parameter is shown in a blue frame (either rectangular or elliptic). The centre (green cross) of the parameter found must be situated inside the blue frame.
Pattern | Taught sample with display of the edges found
Edit contour | By edit contour there can be masked out parts of the search area. The parts which are not relevant for this examination can be painted out like using an eraser. Masks can also be inverted, means that parts which are interesting can be marked. S. also chap.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Optimisation:

Execution speed:
  • Search zone for position (yellow frame) only as large as necessary. Please note: The contour is found as long as the centre point of the pattern is inside the search area!
  • Search zone for angle only as large as necessary
  • Search zone for scale only as large as necessary
  • Reduce resolution to CGA instead of VGA (Attention: Global parameter, affects all detectors!)
  • Set “accurate – fast” to fast
  • Increase value “Min. contrast pattern”. Take care that the relevant contours are still visible in the display.
  • Increase value “Min. contrast Image”.
  • Especially in case of alignment: Use alternate reference pattern. E.g. with higher contrast, that “Min. contrast pattern” and Min. contrast image” can be increased.

Robust detection:
  • Search zone for position (yellow frame) sufficiently large?
  • Search zone for angle sufficiently large?
  • Search zone for scale sufficiently large?
  • Contrasts for model and image suitably set? (for model visible in sample)
  • Set “accurate – fast” to accurate
  • Are there some and overlapping objects in the image?
  • Distinctive edges available?, re-teach if necessary
  • “Min. contrast pattern” set to a suitable value? If in the taught pattern the relevant contour lines are not shown completely: decrease “Min. contrast pattern”. If there are too many contour lines shown: increase “Min. contrast pattern”.
  • “Min. contrast image” set to a suitable value for the current image? If the current image(s) do have a higher / lower contrast than the taught reference image /pattern please increase / decrease the value of “Min. contrast image” accordingly.
  • In the taught pattern the relevant contour lines are not shown completely: decrease “Min. contrast pattern”. If there are too many contour lines shown: increase “Min. contrast pattern”.
  • If found at wrong position: use distinct sample, re-teach if necessary
  • If the result value is fluctuating strongly from image to image? Take care that there are no “false edges” taught (edges because of shadows, or fragments of contours, which are not desired in the contour model): This can be achieved by increasing “Min. contrast pattern” or by eliminating those false edges by function “Edit contour”.


Function: Edit contour

s. chap.: Detector Pattern matching Function: Mask


Settings in Angle tab:

Detector Contour

Settings in Scaling tab:

Contour application:

Function: Mask

Parameters | Functions
Angular zone | Angular zone in which search is carried out
Increment (angle) | Sensitivity of search throughout the selected angular zone in °
Accurate - fast | Candidates with score less than indicated will already be rejected during search. High value: early rejection = quicker = riskier Small value: late rejection = slower = less risky In case of false results this value can be decreased.

Fig.: Detector contour, tab angle


Settings in Scaling tab:

Detector Contour

Settings in Scaling tab:

Contour application:

Function: Mask

Parameters | Functions
Scale min/max | Detection also of enlarged or reduced objects in a given scale range
Increment scale | Sensitivity of search throughout the selected scale range
Accurate - fast | Number of search levels / Coarsening levels. 0 = automatic selection Higher value: faster = riskier (overlook candidates) Smaller value: slower = less risky (all candidates)

Fig.: Detector contour, Scaling tab


Contour application:

The visible edges / contour of metal contact mounted in a black plastic housing are taught as the reference contour. In this way the presence and the correct mounting of the contact is checked.

Fig.: Contour, application example, positive result

The found contour lines are displayed in the corner below right in pale blue. The contact is found reliably.

Fig.: Contour, application example, negative result

If now the same contour check is made at a position of the object where the metal contact is missing, the according edges / contour is not found. The detector gives a negative result.


Contrast detector

Next topic: Grey detector

Contrast application

This detector determines the contrast in the selected search area. Therefore all pixels inside the search area are evaluated with its grey value and the contrast value is calculated. If the contrast value is inside the limits set in parameter threshold the result is positive. The position of the single bright or dark pixels here is not relevant. The contrast is just depending on the bandwidth between darkest and brightest pixels and their quantity. Highest contrast value with 50% grey value “0” (= black) AND 50% grey value “255” (=white)

Fig.: Detector Contrast

Settings in tab Contrast:

Parameters | Functions
Threshold min/max | Range of contrast accepted.
Search region | Shape of search region can be set as Rectangle or Circle.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.


Contrast application

Contrast detector

In the example the presence of a metal contact is checked with a contrast detector.

Fig.: Contrast, application example, positive result.

The presence of a shiny metal contact, in the middle of a surrounding black plastic housing, is checked with a contrast detector. As in this configuration contrast is pretty high the contrast detector delivers a high score, and in combination with alignment the whole job works reliably.

Fig.: Contrast, application example, negative result

If the same detector is placed now at a position where the metal contact is missing it leads to a negative result. As, between the black surrounding and the now visible black background of the contact, the contrast value here is low.

Function detector Contrast

The dark and the bright pixels are evaluated according to their amount and their intensity / brightness.

The position of the bright or dark pixels is not relevant.

Fig.: Contrast examples

Fig.: Contrast explanation


Grey detector

Next topic. Brightness detector

Grey level application

At this detector in the first step the range of accepted grey values is defined by setting the two limit sliders of parameter “Grey level”.

In the second step the share of the search area (in %) which must be covered by pixels with the grey value inside the definition made in step 1, is defined with the parameter “Threshold” to achieve a positive result.

By the respective invert function all possible combinations can be defined, also those where the relevant grey values are only at the upper or lower border of the range of values. The position of the respective brought or dark pixels is not relevant.

With the parameter „Overlay“ pixels can be marked in a certain colour as an aid to select pixels / regions, which have a grey value inside (valid pixels), or outside (invalid pixels) the range set in „Grey level“. In this way pixels which are not covered with the settings / range of grey values can be detected very easily.

Settings in tab Grey:

Parameters | Functions
Grey level min/max | Range of grey values that are to be accepted
Threshold min/max | Percentage of the area, which must be in the selected grey value range
Search region | Shape of search region can be set as Rectangle or Circle.
Overlay | Selects which pixels are to be marked in colour on the screen as an adjustment aid. "None" = no marking, or “Valid pixels” or “Invalid pixels” are marked in the image.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.


Grey level application

Grey detector

Fig.: Grey level, application example, positive result.

The contact is present in search area. Shiny metal contact shows grey values > 192, that means inside the limits of threshold = result positive.

Fig.: Grey level, application example, negative result

Shiny metal contact is not present in the search area. That means average value of grey values in the search area is not inside the defined threshold limits. (Not inside grey value 192-255, but rather in range < 50). Result: negative = contact not found.

Aid to determine grey values:

By placing the cursor somewhere in the image the according X- and Y- coordinate and the grey value (“I” = Intensity) are displayed in the status line on the screen below in the next to last field at the right.

Function detector Grey level.

The authorised grey value range is defined by the two limits on the grey level slider.

All pixels within this grey value range and within the defined working zone (yellow frame) are added together. The proportion of the number of all the pixels in the working zone (yellow frame) and of the number of pixels in the authorised grey value range represents the result of this detector.

If this result is within the limits set on the switching threshold slider, the result is positive. The position of the grey value pixels on the screen is of no importance.

Example: (when the grey level slider is set to very dark values):

Both images produce exactly the same result with the grey level detector, as in each case 9 of the 25 pixels are detected as dark.

Fig.: Grey level, example 1

If the threshold value was set to 10 in this example, the following images would produce a positive result.

Fig.: Grey level, example 2


Brightness detector

Next topic: Barcode detector.

Brightness application

This detector determines the average value of the grey values in the search area. With the two limit sliders of the parameter „Threshold“ the valid range of the brightness mean value is defined.

As soon as the calculated average value is within these two limits the result is positive. The result value is standardized to %. The position of the bright or dark pixels is not relevant. If there are position deviations from check to check the alignment function must be used.

Settings in tab Brightness:

Parameters | Functions
Brightness min/max | Range of grey values that are to be accepted
Search region | Shape of search region can be set as Rectangle or Circle.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.


Brightness application

The detector Brightness calculates the average value of the grey values of all pixels within the search area.

Fig.: Brightness, application example, positive result.

The contact is present within the position searched for; therefore the average value of the grey values in the search area has a high score (near 100%). That means the current value is within the requested threshold limits and the result is positive = contact present.

Fig.: Brightness, application example, negative result.

The contact is not present within the position searched for; therefore the average value of the grey values in the search area delivers a low score (near 0%). That means the current value is not within the requested threshold limits and the result is negative = contact not present.

Examples: Brightness value as average value of the grey values.

Fig.: Brightness, examples


Barcode detector.

Next topic: 2D Code detector

Barcode detector, tab Reference string

Fig.: Detector Barcode, tab Code

Barcode detector, tab Code

Settings in tab Code

Parameters | Functions
Bar code type | Select here the type of barcode to be read with the Code reader.
Decoded string length | Max. Length of a barcode. If contents of code are longer than this value, the rest will be cut off. If more than one code is read by this detector, this value has to be set for the longest code.
Check character | This setting activates the processing for a check character in case it is part of the code. Barcodes with check characters are e.g. Code 39, Codabar, 25 Industrial or 25 Interleaved. If this setting is not activated, the check character will be given out with the normal result string.
Min. number of codes | Minimum number of codes to be read inside the search area.
Max. number of codes | Maximum number of codes to be read inside the search area. If this value is set higher than necessary, the reading time may increase slightly.
No-read string | Specifies the text, which is given out over the interfaces in case of non successful reading.
Polarity | Specifies printing of code "black on white" or "white on black".

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Optimisation:

Execution speed:

  • Search zone for position (yellow frame) only as large as necessary

Robust detection:

  • Search zone for position (yellow frame) sufficiently large?
  • Contrasts for model and image suitably set? (for model visible in sample)
  • Are thresholds set correctly?


Barcode detector, tab Reference string

Next topic: Barcode detector.

Barcode detector, tab Quality

Fig.: Detector Barcode, tab Reference string

Settings in tab Reference String

Parameters | Functions
Compare string | Activates verification of contents of the result information. The verification is done by using of regular expressions.
Ref. string | This text or regular expression is taken for verification. Here can be entered characters or regular expressions.
Add expression | Opens a list with examples for regular expressions.
Teach ref. string | Reads the code under the code reader and takes the contents of this code as a reference string. This text can be changed later.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Examples for reference strings specified by regular expressions:

Reference string | Hit | Example for hit
123 | String containing 123 | 01234
\A123 | String beginning with 123 | 1234
123\Z | String ending by 123 | 0123
\A123\Z | String matching exactly 123 | 123
[123] | String containing one of the characters | 33
[123]{2} | String containing sequence of the characters of length 2 | 23
[12]|[34] | String containing a character of one of both groups | 4

Most important elements of regular expressions:

^ or \AMatches start of string

$ or \ZMatches end of string (a trailing newline is allowed)

.Matches any character except newline

[...]Matches any character listed in the brackets. If the first character is a '^', this matches any character except those in the list. You can use the '-' character as in '[A-Z0-9]' to select character ranges. Other characters lose their special meaning in brackets, except '\'.

*Allows 0 or more repetitions of preceding literal or group

+Allows 1 or more repetitions

?Allows 0 or 1 repetitions

{n,m}Allows n to m repetitions

{n}Allows exactly 'n' repetitions

|Separates alternative search expressions


Barcode detector, tab Quality

Barcode detector, tab Reference string

Barcode detector, tab Advanced

Fig.: Detector Barcode, tab Quality

Settings in tab Quality

Parameters

Functions

Quality param.

Evaluation of printing quality according to international standard ISO/IEC 15416.

In order to achieve an evaluation according to the norm, there are defined minimum requirements for the size of the code inside the camera image (resolution) and mounting of camera and illumination. These requirements are specified inside the norm.

For simple 1D Barcodes, the rating of printing quality is combined in a total of eight elements:

Q1 Overall

Q2 Decode

Q3 Symbol Contrast

Q4 Minimal Reflectance

Q5 Minimal Edge contrast

Q6 Modulation

Q7 Defects

Q8 Decodability

"Overall" is rating the total quality, the further elements give information about possible reasons for a reduced quality.

Inside ISO/IEC15416 there is a list with common defects and their influence to the single grades.

The single quality grades are defined as follows:

"Overall" is the minimum value of all other grades.

"Decode" has value 4 when the code was read and value 0 when the code was not read. "Symbol contrast" is the difference between minimum and maximum reflexion value of greyscale, better contrast gives better grading.

"Minimal reflectance" is set to 4 if the lowest reflectance value in the scan reflectance profile is lower or equal to 0.5 of the maximal reflectance value. Otherwise a value of 0 is assigned.

"Edge contrast" is the contrast between any two adjacent elements, either bar-to-space or space-to-bar. The "minimal edge contrast" grades the minimum of the edge contrast values measured in the reflectance profile.

"Modulation" indicates how strong the amplitudes of the bar code elements are. Big amplitudes make the assignment of the elements to bars or spaces more certain, resulting in a high modulation grade.

"Defects" is a grading of reflectance irregularities found within elements and quiet zones. "Decodability" grade reflects deviations of the element widths from the nominal widths defined for the corresponding symbology.

"Additional requirements" are bar code symbology specific requirements: mostly regarding the required quiet zones, but sometimes it can be also related to wide/narrow ratio, inter character gaps, guarding patterns or further symbology specific characteristics.

For composite codes, the rating has 24 grades:

OVERALL:

Q1 Overall

Q2 Overall Linear

Q3 Overall Composite

LINEAR:

Q4 Decode

Q5 Symbol Contrast

Q6 Minimal Reflectance

Q7 Minimal Edge contrast

Q8 Modulation

Q9 Defects

Q10 Decodability

Q11 Additional Requirements

COMPOSITE:

Q12 Decode

Q13 Rap Overall

COMPOSITE RAP:

Q14 Contrast

Q15 Minimal Reflectance

Q16 Minimal Edge Contrast

Q17 Modulation

Q18 Defects

Q19 Decodability

Q20 Codeword Yield

Q21 Unused Error Correction

Q22 Modulation

Q23 Decodability

Q24 Defects

The "overall" grade in the group OVERALL is the final symbol grade to be reported. It is just the lower from the other two in the group: "overall linear" and "overall composite", which are the overall grades of the linear and the composite sub symbols, respectively. The other two groups, "LINEAR" and "COMPOSITE", contain the corresponding individual grades for both sub symbols, and give information for possible causes for poor quality of the symbol. The grades in the "LINEAR" group correspond to those for the simple 1D bar code case, described above. The grades in the "COMPOSITE" group correspond to the grades for a PDF 417 data code symbol, where "rap overall" is called after the specific, so-called RAP, start/stop pattern of Composite symbols. Additionally, the sub group "COMPOSITE RAP" expands the individual grades for the reflectance profile of the RAP patterns. The RAP grades are consistent with the grades for the simple 1D bar code case explained above.

Quality type

There are existing two possibilities, to display quality parameters. Both are according to the norm. The grades can be given in values from A to F or from 4 to 0. A and 4 are the best possible grades. This setting determines how the grades should be displayed. It affects the display on screen as well as the output over the interfaces.

The assignment is the following:

ABCDF

43210

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.


Barcode detector, tab Advanced

Fig.: Detector Barcode, tab Advanced

Settings in tab Advanced

Parameters | Functions
Minimum Size | Minimal size of bar code elements, i.e. the minimal width of bars and spaces. For small bar codes the value should be reduced to 1.5. In the case of huge bar codes the value should be increased, which results in a shorter execution time.
Maximum Size | Maximal size of bar code elements, i.e. the maximal width of bars and spaces. This value should be adequate low such that two neighbouring bar codes are not fused into a single one. On this other hand the value should be sufficiently high in order to find the complete bar code region.
Minimum height | Minimal bar code height. In the case of a bar code with a height of less than 16 pixels the respective height should be set by the user. Note, that the minimal value is 8 pixels. If the bar code is very high, i.e. 70 pixels and more, manually adjusting to the respective height can lead to a speed-up of the subsequent finding and reading operation.
Orientation | Expected bar code orientation. If the bar codes are expected to appear only in certain orientations in the processed images, one can reduce the orientation range adequately. This enables an early identification of false candidates and hence shorter execution times. This adjustment can be used for images with a lot of texture, which includes fragments tending to result in false bar code candidates.
Orientation tolerance | Orientation tolerance. See the explanation of ’orientation’ parameter.
Measuring threshold | The bar-space-sequence of a bar code is determined with a scan line measuring the position of the edges. In the case of disturbances in the bar code region or a high noise level, this value should be increased.
Max. diff orientation | A potential bar code region contains bars, and hence edges, with a similar orientation. This value denotes the maximal difference in this orientation between adjacent pixels and is given in degree. If a bar code is of bad quality with jagged edges this parameter should be set to bigger values. If the bar code is of good it can be set to smaller values, thus reducing the number of potential but false bar code candidates.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.


Optimisation:

Execution speed:

  • Search zone for position (yellow frame) only as large as necessary

Robust detection:

  • Search zone for position (yellow frame) sufficiently large?
  • Contrasts for model and image suitably set? (for model visible in sample)
  • Are thresholds set correctly?
  • Code size sufficient in the field of view?
  • Width of barcode line sufficient?


2D Code detector

2D Code detector, tab Code

Next topic:

2D Code detector, tab Ref. String

Fig.: Detector 2D Code, tab Code

Settings in tab Code

Parameters | Functions
Symbol type | Select here the type of code to be read with the Code reader.
Code length | Max. Length of a barcode. If the contents of code are longer, the rest will be cut off. If more than one code is read by this detector, this value has to be set for the longest code.
Min. number of codes | Minimum number of codes to be read inside the search area.
Max. number of codes | Maximum number of codes to be read inside the search area. If this value is set higher than necessary, the reading time may increase slightly.
Reset | Reset parameters are for setting the code reading parameters back to the default state before teaching. There can be selected "standard", "enhanced" and "maximum". "Standard" is setting the default parameters in a way that most of the codes can be read. If your code can not be read, please use setting "Enhanced". If the code still cannot be read, use setting "Maximum". Settings "Enhanced" and "Maximum" may increase the reading time. This reset function is only for resetting the detector parameters, not for resetting of other settings outside the detector (i.e. general settings like illumination, in-outputs, serial settings etc.). After resetting the parameters, there can be made an initial teach, again
Initial teach / Additive teach | Teach: the region of interest is searched for codes. If a code was found the parameters are set for this code. After successful teaching, the code will be marked with a green frame. After teaching a code the code reader will search in "run"-mode only for this type of code. Once teaching was done at least one time successful, this button is named "Teach additive". "Teach additive" is for extending the parameters either in order to read several different codes in one detector or in order to cover differences in printing quality.
No-read string | Specifies the text, sent out over the interfaces in case of non successful reading.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Optimisation

Execution speed:

  • Search zone for position (yellow frame) only as large as necessary

Robust detection:
  • Search zone for position (yellow frame) sufficiently large?
  • Contrasts for model and image suitably set? (for model visible in sample
  • Are thresholds set correctly?


2D Code detector, tab Ref. String

2D Code detector Barcode detector.

Barcode detector, tab Quality

Fig.: Detector 2D Code, tab Ref. String

Settings in tab Reference String

Parameters | Functions
Compare string | Activates verification of contents of the result information. The verification is done by using of regular expressions.
Ref. string | This text or regular expression is taken for verification. Here can be entered characters or regular expressions.
Add expression | Opens a list with examples for regular expressions
Teach ref. string | Reads the code under the code reader and takes the contents of this code as a reference string. This text can be changed later.

For newly generated detectors, all parameters are preset as standard values, suitable for many applications.

Reference string | Hit | Example for hit
123 | String containing 123 | 01234
\A123 | String beginning with 123 | 1234
123\Z | String ending by 123 | 0123
\A123\Z | String matching exactly 123 | 123
[123] | String containing one of the characters | 33
[123]{2} | String containing sequence of the characters of length 2 | 23
[12]|[34] | String containing a character of one of both groups | 4

Most important elements of regular expressions:

^ or \AMatches start of string

$ or \ZMatches end of string (a trailing newline is allowed)

.Matches any character except newline

[...]Matches any character listed in the brackets. If the first character is a '^', this matches any character except those in the list. You can use the '-' character as in '[A-Z0-9]' to select character ranges. Other characters lose their special meaning in brackets, except '\'.

*Allows 0 or more repetitions of preceding literal or group

+Allows 1 or more repetitions

?Allows 0 or 1 repetitions

{n,m}Allows n to m repetitions

{n}Allows exactly n repetitions

|Separates alternative search expressions)


2D Code detector, tab Quality

2D Code detector, tab Ref. String

2D Code detector, tab Advanced

Fig.: Detector 2D Code, tab Quality

Settings in tab Quality

Parameters Functions

Quality param.

Quality parameters are additional information for rating the printing quality of the code. There are two different standards: AIM DPM-1-2006 and ISO/IEC 15415. Quality parameters are eight single parameters, the definition of the respective elements is as follows:

Q1 Overall quality

Q2 Contrast

Q3 Modulation

Q4 Fixed pattern damage

Q5 Decode

Q6 Axial non-uniformity

Q7 Grid non-uniformity

Q8 Unused error correction

Q9 Mean light

The overall quality is the minimum of all individual grades.

The contrast is the range between the minimal and the maximal pixel intensity in the data code domain, and a strong contrast results in a good grading.

The modulation indicates how strong the amplitudes of the data code modules are. Big amplitudes make the assignment of the modules to black or white more certain, resulting in a high modulation grade.

The fixed pattern of both ECC200 and QR Code is of high importance for detecting and decoding the codes. Degradation or damage of the fixed pattern, or the respective quiet zones, is assessed with the fixed pattern damage quality.

The decode quality always takes the grade 4, meaning that the code could be decoded. Naturally, codes which cannot be decoded cannot be assessed concerning print quality either.

Originally, data codes have squared modules, i.e. the width and height of the modules are the same. Due to a potentially oblique view of the camera onto the data code or a defective fabrication of the data code itself, the width to height ratio can be distorted. This deterioration results in a degraded axial non-uniformity.

If apart from an affine distortion the data code is subject to perspective or any other distortions too this degrades the grid non-uniformity.

As data codes are redundant codes, errors in the modules or code words can be corrected. The amount of error correcting capacities which is not already used by the present data code symbol is expressed in the unused error correction quality. In a way, this grade reflects the reliability of the decoding process. Note, that even codes with an unused error correction grading of 0, which could possibly mean a false decoding result, can be decoded in a reliable way, because the implemented decoding functionality is more sophisticated and robust compared to the reference decode algorithm proposed by the standard.

In order to achieve an evaluation according to the norm, there are defined minimum requirements for the size of the code inside the camera image (resolution) and mounting of camera and illumination. These requirements are specified inside the norm.

Quality parameters according to AIM DPM-1-2006 are a extension to ISO/IEC 15415 Standard, which define the requirements of the grey value conditions oft he image oft he data code, and so improves the reproducibility of the quality evaluation of different manufacturers.

Quality parameters according to AIM consist of one value more than quality parameters according to ISO/IEC 15415. This value is called „Mean Light“. „Mean light“ is not a quality value of the code, it shows the quality of the image by calculating the average grey value of the bright data code modules. „Mean light“ can vary from 0.0 to 1.0. A image has the required grey value conditions if the „mean light“ value is between 70% and 86% (0.70 to 0.86).

Quality type

There are existing two possibilities, to display quality parameters. Both are according to the norm. The grades can be given in values from A to F or from 4 to 0. A and 4 are the best possible grades. This setting determines how the grades should be displayed. It affects the display on screen as well as the output over the interfaces.

The assignment is the following:

A B C D F

4 3 2 1 0


2D Code detector, tab Advanced

2D Code detector, tab Quality

2D Code detector, tab Symbols

Fig.: Detector 2D Code, tab Advanced

Settings in tab Advanced

Parameters | Function
Contrast min. | Minimum contrast in grey values between bright and dark parts of the code, range (1...100).
Polarity | Possible restrictions concerning the polarity of the modules, i.e., if they are printed dark on a light background or vice versa.
Slant max. | Slant of the L-shaped finder pattern in radians. This is the difference between the angle of the ’L’ and the right angle.
Mirrored | Describes whether the symbol is or may be mirrored (which is equivalent to swapping the rows and columns of the symbol). The function helps, if codes should be read through transparent parts like glass.


2D Code detector, tab Symbols

2D Code detector, tab Advanced

2D Code detector, tab Modules

Fig.: Detector 2D Code, tab Symbols

Settings in tab Symbols

Parameters | Function
Symbol size | Only QR-Code: Size of symbol inside picture in pixel.
Row | Only ECC200 and PDF 417: Number of rows including finder pattern.
Column | Only ECC200 and PDF 417: Number of columns including finder pattern.


2D Code detector, tab Modules

2D Code detector, tab Symbols

2D Code detector, tab Miscellaneous

Fig.: Detector 2D Code, tab Modules

Settings in tab Modules

Parameters | Function
Module size | Size of modules in pixels.
Module width | Only PDF 417: width of modules inside picture in pixels.
Module aspect | Only PDF 417: minimum aspect of modules (rows compared to columns).
Module row gap | Only ECC200 and QR-Code: allowed gap between rows, i.e. at dot peened codes which have no full size modules.
Module column gap | Only ECC200 and QR-Code: allowed gap between columns.


2D Code detector, tab Miscellaneous

2D Code detector, tab Modules

Fig.: Detector 2D Code, tab Miscellaneous

Settings in tab Miscellaneous

Parameters | Function
Version | Only QR-Code: Minimum symbol version to be read: [1. . . 40]
Model type | Only QR-Code: Type of the QR Code model specification: 1, 2, 0
Shape | Only ECC200 and QR-Code: Possible restrictions concerning the module shape (rectangle and/or square).
Model robustness | Robustness of the decoding of data codes with very small module sizes. Setting the parameter to ’high’ increases the likelihood of being able to decode data codes with very small module sizes. Additionally, in that case the minimum module size should also be adapted accordingly, thus should be set to the expected minimum module size and width, respectively.
Model grid | Only ECC200: Describes whether the size of the modules may vary (in a specific range) or not. Dependent on the parameter different algorithms are used for the calculation of the module’s centre positions. If it is set to ’fixed’, an equidistant grid is used. Allowing a variable module size (’variable’), the grid is aligned only to the alternating side of the finder pattern. With ’any’ both approaches are tested one after the other. Please note that the value of ’module_grid’ is ignored if ’finder_pattern_tolerance’ is set to ’high’. In this case an equidistant grid is assumed.
Strict model | Specifies, if the code parameters have to be meet completely or not. If this parameter is set to "Yes", all codes outside the parameter range will be ignored.
Position pattern | Only QR-Code: Number of position detection patterns that have to be visible for reading a code (2 or 3).
Find pattern tolerance | Only ECC200: Tolerance of the search with respect to a disturbed or missing finder pattern. The finder pattern includes the L-shaped side as well as the opposite alternating side. In one case (’low’), it is assumed that the finder pattern is present to a high degree and shows almost no disturbances. In the other case (’high’), the finder pattern may be heavily disturbed or missing completely without influencing the recognition and the reading of the symbol. Note, however, that in this mode the run-time may significantly increase.


Output of inspection results

Here you define the assignment and logical connection of the digital signal outputs as well as the interfaces and output data of your Vision Sensor.

I/O mapping

Output signals (Digital outputs / Logic)

Interfaces

Timing, Digital outputs

Telegram, Data output


I/O mapping

Here the following settings can be made:
  1. Definition, if I/O is used as an input or output (Pin 05 - 08, can be used as input or output)
  2. Assignment of functionality to inputs and outputs. In the list-box there can be seen and selected all available functions for this input or output. Some functions can be assigned only to one special input or output (e.g. HW/Trigger).

Fig.: Output, I/O Mapping

Functions of inputs

Function | Description
H/W Trigger | Hardware Trigger (only on pin 03 WH available)
Enable Trigger | Enable or disable trigger signals (input needs a minimum signal length of 2ms before raising trigger signal).
Job 1 … n | Job change by pulses on one input
Teach temp. / perm. | Teaching of all detectors and alignment. Rising edge on this input and trigger start teaching. Temporary: storage in RAM, permanent: storage in flash.
Job Pin 'X', binary coded | Job change by binary bit pattern. Up to 5 inputs can be used to select up to 32 jobs. PIN1 = LSB
No function, undefined | no function, not used

Functions which are used already are displayed in grey, because they cannot be used any more. All inputs need a minimum signal length of 2ms.

Fig.: Output, Inputs

Encoder Connection

If both tracks A+ ans B+ are used increasing or decreasing counting can be done / forward or backward movement of e.g. conveyor can be recognized.

Fig.: Encoder connection A+ / B+

Functions of outputs

Function | Description
Ejector | Dedicated ejector output, maximum load 100mA (all other outputs 50 mA), only on pin 12 RDBU available. (corresponds LED "A")
Result | Result output, every result output can be covered with a detector result or a logical expression.
Acknowledge job change | Can be used to get a confirmation after successful job change via digital I/O („Job 1..n" or „Job Pin ‘X’, binary coded"). Rising edge indicates successful job change; high level is reset after 20ms. If job switch was not successful, signals remain low.
External illumination | If this setting is selected (via pin 09 RD available only), a external illumination can be connected / triggered
No function, undefined | no function, not used

Fig.: Output, Outputs

There are 2 predefined outputs:

  • Ready: indicates, that Sensor is ready to receive a trigger.
  • Valid: indicated, that data on outputs are valid.

Functions of the programmable, digital inputs:

During operation with process control, the following cases can be carried out via the inputs:

  • inactive
  • enable/disable
  • load Job (binary coded)
  • load Job 1 ... n
  • teach temporarily
  • teach permanently

Description of different cases with a signal diagram.

Input: "Trigger enable"

For enable (high) or disable (low) of trigger input.

Fig.: Input timing, Trigger enable

Input: Job change binary or by function Job 1 or 2:

Job change binary over up to 5 inputs (Job 1- max. 31):

Possible only if Ready = high. As soon as the binary input signal change Ready is set to low.

Ready remains low until switch-over to the new job is done. If the option “Job change confirm” is used, this signal occurs after the job change, and hereafter "Ready" is set high again. During Job Change via binary inputs there must not be sent any trigger signal. The change of the logic levels of the according inputs must happen at the same time (during maximum 10ms all inputs must have a stable logic level)

Job change by function: Job 1 or 2:

Possible only if Ready = high. At the level change of the according input Ready is set low. Ready remains low till the job change is done. If the option “Job change confirm” is used, this signal occurs after the job change, and hereafter "Ready" is set high again. During Job Change over binary inputs there must not be sent any trigger signal. A high level causes evaluation according to job 2; a low level produces evaluation according to job 1.

Differences between binary switching and Job 1 or 2:

By usage of binary job switch the desired job number must be represented binary coded via the selected inputs. Therefore in this mode to switch between 2 jobs minimum 2 inputs are necessary.

In case of Job change Job 1 or 2 a high level cause’s evaluation according to job 2, a low level produces evaluation according to job 1. In this way with only one input two the switching between two jobs can be done.

Fig.: Input timing, Job change via Binary / Job 1 or 2

Input: Job 1 ... n

For switching between jobs via impulses. Only possible when Ready = high. With the first impulse Ready is set to low. Impulses are counted until the first delay of >= 50ms and then switches to the appropriate job. Ready remains low until switch-over to the new job occurs. If the option “Job change confirm” is used, this signal occurs after the job change, and hereafter "Ready" is set high again. During Job Change over binary inputs there must not be sent any trigger signal. Pulse length for job change should be 5 ms pulse and 5 ms delay.

If possible job change should be made by binary coded signals like in fig. 2, this is the faster way.

Fig.: Input timing, Job 1 ... n

Attention!

At Job switch please take care of the following:

- All Jobs must have the same setting for job change

- All Jobs must be in triggered mode

- Ready signal must be high when trigger sequence starts

Input: Teach temp. / perm.

For re-teaching samples of all detectors and if necessary alignment tracking of the current job. Only possible when Ready = high. A rising edge initiates teaching, during which a high level must exist at least until the next trigger, so that an image of an inspection part can be recorded in the correct position. Ready is set to low and remains low until teaching has been completed. Storage is either temporary (only in RAM), or permanent (in flash) according to the setting.

Fig.: Input timing, Teach

Attention!

The functions Job 1 or 2, Job 1 ... n or teach temp. /perm. can only be used in trigger mode


Output signals (Digital outputs / Logic)

In this tab, you define the switching behaviour and logical connection of the digital outputs. Number of outputs depends from settings in tab IO mapping.

Fig.: Output, tab digital output

Description of different cases with a signal diagram.

For each pin (output) there are the following possibilities:

Parameter | Function
Overall job result | No physical output, effects recorder, statistics and archiving functions
Invert | Invert total result for this pin (output)
Mode | Standard: combine several detectors by logical expressions like AND (&) / OR (|) / NOT (!) to one logical expression. Advanced: Free edit of logical expression.
NOT | Select: operator NOT (!)
Logic | Select: operator AND (&) / OR (|)
D1 - D... | All active detectors are shown in this list depending from number of detectors. These can be assigned to the listed output. Each detector can be set to on, off and invert.
Logical Expression | Here is shown either the logical expression that was build automatically by using of standard mode or the logical expression can be entered free by using the advanced mode.

Defining logical connection:

Define the logical connection between the inspection results of the individual detectors and the status of the selected output. You have two input possibilities:


Logical connection – Standard mode

In standard mode, connection of detector inspection results with the selected output must be carried out using the option buttons operator and the checkboxes in the detector selection list. The result is displayed in the logical formulas window (cannot be edited).

Connecting results:

  1. Select the logical operator to be used for connecting the detectors in the selection list, from the operator window.
  2. Activate the detector in the selection list which is to contribute to the result (tick in the Active column).

By activation the “Inverted” column, you can individually invert the respective detector result.

The entry in the “Result” column alters accordingly.

Examples:

The detector results can only be connected by one logical operation, e.g.:

  • (D1&D2&D3) or
  • !((!D1)|D2|D3) etc.

(For more complex connections, please select Formula mode)


Logical connection – Formula mode

In formula mode, connection of detector inspection results with the selected output is defined by the direct input of a logical formula. The operators AND, OR and NOT and round brackets are available for this purpose.

Please use the following characters for the logical operators when editing the formula:

  • "&" for AND
  • "|" for OR ("AltCtrl" key and "<>" key)
  • "!" for NOT
Examples:

Logical expressions of any complexity can be created, e.g.:

  • (D1&D2)|(D3&D4)
  • !((D1|D2)&(D3|D4))
  • (D1|D2)&(D3|D4)&(D5|D6)

etc.


Interfaces

In this tab you select and activate the digital inputs/outputs used and the interfaces for data output:

Fig.: Output, tab Interfaces

Parameters | Functions
Internal I/O | Selection of I/O-type: PNP or NPN
RS 422 (baud rate) | RS422 for data output with choice of data transmission rate
External I/O extension | Not available
Ethernet | Ethernet TCP/IP for data output. Sensor is a socket server. There are used two ports which can be defined by the user. Default is port 2006 (IN) for commands to sensor and port 2005 (OUT) for data transfer.
Ethernet/IP | Field bus Ethernet/IP for data output

For further informations see User manual, chapter "Communication"

Information

The outputs and interfaces can be separately activated or deactivated in the Active column.

Logical outputs:

By using the RS422, Ethernet and EtherNet/IP interface additional pure logic outputs can be defined, which just exist logically and can be communicated via one of these interfaces only.

Logical outputs can be assigned to an e.g. detector result or to a logic expression (formula).


Timing, Digital outputs

In this tab, you determine the time response of the selected signal output. If encoder was selected the delays are entered in encoder steps. Depending on the settings in the I/O configuration all following time delays are done in ms or in encoder steps.

Fig.: Output, tab Timing

Parameters | Functions
Trigger delay | Time between trigger and start of image recording in ms
Digital outputs | All outputs can be delayed or only the ejector output.
Ejector | Time between trigger and connection of result level at the signal outputs. Includes evaluation time.
Reset signal | Determines, how to reset outputs.
Duration of result | Duration of result signal in ms

Attention:

At Job Change and change from Run- to Config Mode outputs will get the following states: Buffer of delayed outputs will be deleted.

Digital outputs:

Will be reset to default at change from "Run" to "Config". Defaults are set by flag "Invert" in output tab. "Invert" inverts the default setting and also the result.

Reset of digital outputs:

The reset of the result outputs can happen depending on different settings 7 events. This are:

  • “Change on result” (default).
    The output changes its level according to the logical result when the next logical result is generated and valid. Typical use at controlling switch points e.g. in sorting applications.
  • “Change on trigger”
    The output is set to “inactive” (in operating mode PNP = low) with the next trigger. Typical use at operation with a PLC.
  • “Valid duration”
    The output changes back to inactive after the "Valid" duration time setting here in ms. typical use with e.g. pneumatic ejectors.

S. Vision Sensor Configuration Studio/Output/Timing/Signalling

READY AND VALID

  • If Ready = high: Ready for next image / evaluation.
  • If Valid = high: Results are valid at the outputs.

PNP or NPN operating mode.

All the described examples are in the operation mode „PNP“. If the setting „NPN“ is used, the examples are valid, but with inverted signal levels.

S. Vision Sensor Configuration Studio/Output/Interfaces/Internal I/O

The following cases for output timing are available:

Normal trigger, no delays:

Sequence: (Signalling here: Change in result)

  • Rising edge at Trigger input (Pin03 WH)
  • Consequence of Trigger = high: Ready = low, and Valid = low
  • After the Vision Sensor has evaluated the image and the results are valid the defined outputs change to the according logical states. Ready and Valid are set to high again. (ready for next task, outputs valid)

Fig.: Output timing, standard sequence at normal trigger

Trigger delay active

(Trigger delay concerns hardware trigger only)

This setting is used to delay the image capturing / start of evaluation against the real physical trigger, which was e.g. caused by a light barrier or by the PLC. With this function the fine tuning of the trigger point in time can be done without any change in mechanics or PLC programming.

Sequence:

Image is taken after the trigger delay time is elapsed. The cycle time is trigger delay time + evaluation time.

s. Vision Sensor Configuration Studio/Output/Timing/Trigger/Delay

  • Rising edge at Trigger input (Pin03 WH)
  • Consequence of Trigger = high: Ready = low, Valid = low, all defined result outputs = low (Signalling = Change on trigger)
  • Before the image for evaluation is taken, the adjusted Trigger delay time elapses.
  • Now the evaluation starts. As soon as the results are valid the outputs change to the according logical levels. Ready and Valid are set to high again. (ready for next task, outputs valid)

Fig.: Output timing, and Trigger delay

Trigger delay + Result delay (here: Ejector only):

(Trigger delay concerns hardware trigger only)

The result delay (if for all outputs or ejector only) is used to fine tune the ejector point in time, independent from evaluation time, as especially the evaluation time can have slight variations.

Sequence:

Image is taken after the trigger delay time is elapsed. Furthermore the Result delay is active, but in this example just for the ejector output (pin 12 RDBU)

For all defined result outputs, except the ejector output the cycle time is: Trigger delay time + evaluation time.

For the ejector output the cycle time is: Result delay only! (Counted from trigger, only make sense if longer than summation of above mentioned times!) s. Vision Sensor Configuration Studio/Output/Timing/Output/Delay.

  • Rising edge at Trigger input (Pin03 WH)
  • Consequence of Trigger = high: Ready = low, Valid = low, all defined result outputs = low. Except Ejector, as for this a fix result delay is defined.
  • Before the image for evaluation is taken, the adjusted Trigger delay time elapses.
  • Now the evaluation starts. As soon as the results are valid the outputs change to the according logical levels. Ready and Valid are set to high again. (ready for next task, outputs valid)
  • In this operation mode the Ejector output only is set after the Result delay is elapsed. In this example the Ejector output is also used with Result duration, therefore it´s reset after the Result duration time is elapsed.

Fig.: Output timing, Result delay, ejector

Trigger delay + Result delay (here: all outputs):

(Trigger delay concerns hardware trigger only)

The result delay (if for all outputs or for ejector only) is used to fine tune the ejector point in time, independent from the evaluation time, as the evaluation time of the “job” can have slight variations.

Sequence:

Image is taken after the trigger delay time is elapsed. Furthermore the Result delay is active, in this example to ALL outputs.

For all defined outputs, the cycle time is: Result delay only! (Counted from trigger, only make sense if longer than summation of Trigger delay + Evaluation time) s. Vision Sensor Configuration Studio/Output/Timing/Output/Delay.

  • Rising edge at Trigger input (Pin03 WH)
  • Consequence of Trigger = high: Ready = low, Valid = low.
  • Before the image for evaluation is taken, the adjusted Trigger delay time elapses.
  • Now the evaluation starts. As soon as the results are valid, only the Ready signal is now directly set to high again (ready for next evaluation). Now the result delay time must elapse. After this has happened all defined outputs change to the according logical levels. Now also the Valid signal is reset to high level. (Valid = high: results / outputs valid. Signalling = Change on result)

In this operation mode the Ready signal only is reset to high level after Trigger delay + Evaluation time is elapsed. (Ready = high: Ready for next evaluation). This make sense as the Vision Sensor independent from the later setting of the other outputs, is now already available for the next evaluation task..

Fig.: Figure 142; Output timing, Result delay for all outputs.

Result duration active. (Here e.g. all outputs):

This timing setting is used to achieve a pulse at an output of defined length, for e.g. control of a pneumatic ejector in case of a bad part.

All defined result outputs are reset to low level (inactive in PNP operation) after the Result duration in ms is elapsed.

Fig.: Output timing, Result duration

Cycle time (Min, Max) active:

(Here: Signalling: Change on Trigger)

Parameter control for the minimum and maximum time for a job. Minimum job time blocks trigger signals which are coming in before the minimum job time was reached. (If during the Min Cycle time a further trigger is coming in it is ignored)

Maximum job time interrupts a job after a defined time. Job result after a timeout is "not o.k.” Maximum job time should be selected higher than the time demand for one execution.

The Cycle time measures the time from Trigger till the setting of the outputs. If the cycle time should be limited, e.g. because of a machine cycle must not be exceeded, it should be set to an appropriate value. The result of all till this point of time not completely processed detectors is set to false. By selecting the Max. Cycle time please consider that this may not be 100% exact, as depending on the currently processed detector it´s possible that there will elapse a few more milliseconds the function can be stopped. It´s recommended to check this possible exceeding of the Cycle time in real operation and to decrease the value for the setting according to this offset.

Sequence:

All outputs and the signal „Valid“ (Outputs valid) are set directly after evaluation. But the signal „Ready“ (Ready for next evaluation) is set not until the Min Cycle time is elapsed. Therefore only from this point in time the next trigger will be accepted.

Fig.: Output timing, Cycle time

Multiple Result delay for Ejector

This mode of operation is used, if between trigger / evaluation for part A and it´s ejection is so much time / distance, that the Vision Sensor already has to check n (up to 20 parts possible) further parts which also has to be ejected later.

(Only available in mode: Vision Sensor Configuration Studio/Output/Timing/Delay: „Ejector only / Ejector- / result delay“

Here: Signalling = Result duration (alternatively also „Change on result“)

This function is limited on 20 parts between trigger and ejector.

Fig.: Output timing, Multiple Result delay, ejector


Telegram, Data output

Serial Communication ASCII

Serial communication BINARY

EtherNet/IP Assembly Request

EtherNet/IP Assembly Response

Configuration of data output via serial interfaces RS 422 and Ethernet as well as for archiving in .csv. files. Here all settings can be done, which result data of the Vision Sensorshould be transferred via the before selected interface.

Fig.: Output, tab Telegram

Parameters | Functions
Binary / ASCII | Output data in Binary- (Hex) or ASCII- format.
Save to file | Exportation of file format with current results as .csv
Reset | Reset of all parameters in this tab

Standard contents of protocol

Often required standard contents can be added to the output string by simply filling them in, or activation via the checkbox.

Start | Characters which are inserted at the beginning of the payload data sting (Binary or ASCII)
Trailer | Characters which are inserted at the end of the payload data sting (Binary or ASCII)
Separator | Characters which are inserted behind each payload value (ASCII only)
End of telegram | Characters which are sent at the end of a response to a PC or PLC (Reaction to a command, not with payload data, in ASCII mode only, output selectable in ANSI or Hexa Decimal)
Selected fields | Shows which of the following checkboxes are activated.
.... further standard content, like e.g. “Selected fields, Data length” ff. | to data string: „Payload“ Sequence: Selected fields, Data length, Status, Detector result, Digital outputs, Logical outputs, Execution time, Active job no., Checksum

Detector-specific individual results

First create a new entry by activating the "+" button.

Function of buttons

  • "+": Insert new entry
  • "-": Delete marked entry
  • "Up", "Down": Displace marked entry

You can add detector-specific individual results to the data telegram in the required flexible order via the selection list: (adding new values via button “+”)

Fig.: Output, Detector specific payload

Column | Function
Active | Activates/deactivates the marked output value
Detector | Detector name (select from drop-down list)
Value | Available detector results (select from drop-down menu)
Min. length | Define the minimum length of the Value box; if the actual length is smaller than that specified, the box is filled with spaces (ASCII) or zeros (binary)

Possibilities of data output of Vision Sensor (s. also User manual, chap. Communication)

(Ethernet-) port 2005 / RS422

Numerical data, which has been defined under Output/Telegram, now can be transferred in ASCII- or Binary- format.

Ethernet: The sensor here is the (socket-) “server" and serves the Data via a „server-socket" interface. This is basically a “programming interface”. To read or process the Data a “socket client" (PC, PLC, ....) must establish a (socket-) connection (active) to the sensor.

PC-Archiving (Vision Sensor Visualisation Studio)

Here images and numeric result data (in .csv. format) can be stored by “Vision Sensor Visualisation Studio” into a folder on the PC.

The configuration (folder, …) of this archiving function is done via “Vision Sensor Visualisation Studio”. (Menu: File/Result archiving, this is a pure PC- function)

Sensor- archiving (ftp, smb)

With this function images and numeric result data (in .csv format) can be stored actively by the sensor via ftp/smb. This kind of archiving is configured under „Job/Archiving", in this case:

a) With „ftp“ used: the senor is a „ftp client" and „writes“ the data to a „ftp server" folder on a drive which is available in the network. With Job/Start the sensor connects to the ftp-Server.

b) With „smb“ used: the sensor „writes“ the data direct in a folder in a network. With Job/Start the sensor connects/mounts with this folder.

Ram disk (in the sensor)

In the sensor the last image as well as the numeric data of the last evaluation, which has been configured under Output/Telegram, are stored (in a .csv file) in a Ram disc- folder under. „/tmp/results/".

This function is activated under „Job/Image transmission". To access this data an ftp- connection must be established actively to the sensor. Therefore an ftp client is necessary.

Attention

* The format of the .csv files is always the same (ftp, smb, ram-disk, Vision Sensor Visualisation Studio).

* The data are stored readable (by default separated by comma) into the .csv file.

* Only payload data which has been defined under (Output/Telegram) are transferred.

Communication settings

Communication | Ethernet | RS422
To Sensor, Command | Selectable in Tab: Protocol (Binary or ASCII)
From Sensor, Data output | Selectable in Tab: Protocol (Binary or ASCII)

Protocol settings

Parameters | Functions
Binary / ASCII | Output data in Binary- (Hex) or ASCII- format.
Save to file | Exportation of file format with current results as .csv
Reset | Reset of all parameters in this tab

Basics for establishing of a connection:

Vision Sensor is always tcp/ip (socket-) server.

Vision Sensor sensor opens always two (socket-) communication ports (default: 2005 + 2006).

  • 2005 = Data port for sending of numerical results.
  • 2006 = Command port for receiving of commands.

At a time only one (socket-) client (PC or PLC) can be connected to a port.

Recommendations:

Existing socket connections have only to be reconnected, if an error occurred (on ports 2005 + 2006)

(e.g.: PLC or client in stop mode or error mode, etc.). During normal operation there is no need to reconnect existing connections.

Ethernet data handling: Especially if several Vision Sensor are used Ethernet should be preferred.


Result

With this function the defined job is processed in the PC, and the “Results/statistics” window with the detector list and the evaluation results is displayed. The cycle times are not displayed in this mode as they are not available from the sensor.

In “Run” mode the results of the detector marked in the detector list are displayed. In the image window – if adjusted – the image, the search- and feature- frames, and the result- graphs are displayed

Fig.: Result

Param. results displayed | Detector type | Function
Result | all | Part / parameter detected (detected = green, not detected = red)
Score 1 .. n | all | Degree of concordance of pattern found with pattern taught
Execution time | all | Cycle time for an evaluation in ms
Position X, Position Y | Contour | Coordinates of parameter found (centre point)
Delta X, Delta Y | Contour | Deviation of coordinates found to taught position / through alignment
Position check | Contour | Position found within the defined position frame
Angle | Contour | Orientation (absolute angle) of parameter found
Delta angle | Contour | Angle deviation between parameter taught and parameter found
Scale | Contour | Scale of contour found in contrast to taught contour.

The displayed parameters vary depending on the selected detector type. To see the results of another detector mark it in the detector list. In module Vision Sensor Visualisation Studio numeric results, statistics and images with or without the selected frames can be archived.


Start sensor

This function sets the sensor to run mode and executes the job.

Image display

Result

Statistics

Starting execution of a job:

Click on the "Start Sensor" button.

The active (= marked in the selection list) job is transmitted to the sensor, stored in the sensor's non-volatile memory and started (run mode).

The parameters found are shown in the display window; the inspection results from the first detector or the detector selected in the selection list are shown in the configuration window along with statistical parameters.

Changing detector display:

To display the inspection results for another detector, mark it in the selection list or click on its graphic representation in the display window.

Quitting job execution:

Click on the "Stop Sensor" button. You are now back in configuration mode and can edit your job.

.

Fig.: Start sensor


Further topics of Vision Sensor Configuration Studio

Trigger settings

Switching between online and offline mode

Simulation of jobs (offline mode)

Creating filmstrips

Image recorder

Displays in image window

Search and parameter zones


Trigger settings

Select the required trigger mode in the job settings in the "General" tab:

Parameters | Functions
Triggered | Operation with external trigger, or trigger button in the interface
Free run | Operation with automatically running self-trigger; the sensor supplies images with the maximum possible frequency

Select the form in which the images are to be supplied by the sensor using the option buttons in the zone Trigger/Collect image:

Parameters | Functions
Single image | Recording of a single image, image recording occurs once when: 1. Trigger mode = triggered: First external trigger signal or with the trigger button on the interface 2. Trigger mode = free run: First click on the "Single image" button
Continuous | Continuous supply of images, image recording occurs continuously when: 1. Trigger mode = triggered: Each external trigger or with each click on the trigger button on the interface 2. Trigger mode = free run: Continuously through internal self-triggering with maximum frequency

When exposure time, amplification, illumination or resolution parameters are modified in the Job settings, a new image is automatically requested from the sensor.

To obtain a continuously updated live image even without trigger, carry out the following (if necessary temporary) settings:

  • Set to free run under "Job/General"
  • Set to continuous under "Trigger / Collect image"


Switching between online and offline mode

Two operating modes are available for sensor configuration and test run, which you can select in the Connection window.

  • Online mode: Configuration with connected sensor.
  • Offline mode: Simulation of a sensor with the help of images stored in film strips.

Fig.: Connection mode

When the sensor is connected, both modes are available; it is possible to switch between the two. If no sensor is available, it is only possible to work in offline mode, i.e. with sensor simulation.


Simulation of jobs (offline mode)

You can create and test your configuration without a sensor being connected using stored film strips (= series of images). Simulation can be worthwhile to prepare a configuration or to improve a configuration carried out online.

Displays in image window

Creating filmstrips

Information:

  • Several films are available in Vision Sensor Configuration Studio when delivered.
  • Further methods for image acquisition: Image recorder


Creating filmstrips

In configuration mode, images from the sensor are continuously loaded into the PC's RAM. After switching from online to offline mode, max. 30 images are available and can be stored as a series of images in a filmstrip file. Alternatively or in addition to the images stored on the sensor, you can load series of archived images or individual images on your PC or an external storage medium and combine them into new films.

When you mark an image in the list, it is displayed in small format in the preview window on the right.

Storing images from the sensor as filmstrips:

  1. First connect the PC to the sensor and fill the memory with images in free run and collect image / continuous. (Mode of connection = online)

  2. Select option button "offline" in the window mode of connection.

  3. Select configure filmstrips in the File menu or click on the icon filmstrips in the toolbar. The images loaded from the sensor appear in the selection list that appears below:

    Fig.: Filmstrip

    The images now can be examined; re-sorted or individual images can be deleted or added. The maximum number of images in a filmstrip is 30.

  4. Click on Button "Save filmstrip" under the selection list.

All images in the list will be saved in a filmstrip file (extension .flm) in the order shown and are now available for future simulation.

Loading filmstrips and individual images from PC:

  1. Select option button "Offline" in the window Mode of connection.
  2. Select configure filmstrip in the File menu or click on the icon filmstrip in the tool bar.
  3. Select a film file from the selection list and click on "Load filmstrip" button or load individual images from your PC or an external storage medium with the "Load image" button.

The loaded images are added to the selection list.

The type and memory location of the file is shown in the column source: filmstrips stored on the PC (Film), individual image stored on the PC (File), image in sensor memory (Sensor). After switching from online to offline mode all entries are Sensor.

Editing filmstrips:

You can create new films from the individual images in the selection list regardless of their source. The following functions are available for this purpose:

Button | Function
"<", "<<", ">", ">>" | Change order of images: The marked image is moved up/down one place or is moved to the end of the list.
Load image | Load further images from an external storage medium
Delete, Delete all | Delete image from the list/Delete all images from the list. (The images on the data carrier are not deleted here.)
Abort> | Quit the list without any modification
Import | Load all images into the film memory on the PC in the order shown. These are now available for display and analysis in offline mode.
Load / Save film strip | Load filmstrip from data carrier or save there


Displays in image window

Controlling image reproduction

Fig.: Image reproduction

You can control the selection and reproduction of stored images using the "<" (back), Start / Stop and ">" (next) buttons as well as the slide bar underneath the display window. The image counter indicates the number of the current image as well as the number of images in the active filmstrip.

Image section and enlargement:

Fig.: Zoom

You can select the required image section using the buttons or drop-down menu under the display window

Graphical display of results

You can active or deactivate the following graphics in the View menu:

  • Bar graph result: Displays the inspection result as a bar graph
  • Drawings: Displays search, parameter and position frames detectors and alignment detectors
  • Focussing aid: Displays image sharpness (see also Job settings)
  • Enlarged display: Insertion of a separate enlarged display window, which can be adapted to the required scale using the adjustment handles at the corners of the frame

The module Vision Sensor Visualisation Studio offers a limited selection of these functions.


Image recorder

An image recorder is available in the Vision Sensor Configuration Studio and Vision Sensor Visualisation Studio programmes. When the recorder is activated, either all images or just error images are continuously loaded into the internal memory. This covers 10 images, the oldest images are in turn replaced (FIFO buffer). The recorded images can then be called-up and displayed with a PC, or stored on a PC or on an external storage medium, and are then available for analysis or simulation purposes in offline mode.

In the Vision Sensor Visualisation Studio program, you may be required to enter a password (if activated) to call up recorder images (User user group, see user administration).

Activating recorder:

Activate the recording function in the job settings in the Vision Sensor Configuration Studio programme (tab Image transmission). You can select whether all images or only error images are to be recorded in the pop-up list of Recorder parameters.

Selecting and recording images:

Select “Get images from sensor” from the File menu or click on the button "Rec.images" (only in Vision Sensor Visualisation Studio).

A display window appears in which you can load images stored in the sensor's RAM on to the PC and then examine and save them:

Fig.: Image recorder

Parameter | Function
Back | Displays the previous image
Next | Displays the next image
Save | Saves the image displayed on the PC or an external storage medium
Save all | Saves all images

Information:

  • The running number of the selected image and the total number of images recorded on the sensor (max. 10) are displayed in the counter under the display window.
  • During storage, the images are deposited in bitmap format (extension .bmp) with a resolution of 640 x 480 pixels (VGA).
  • The inspection results associated with the images (OK or error) and the date are stored in the file name (format YYMMDD_running no._Pass/Fail.bmp, e.g. 090225_123456_Pass.bmp).
  • If you want to record detailed inspection results with the images, use the function Archive in Vision Sensor Visualisation Studio.
  • If you only want to record a single image with or without overlay, you can use the function save current image in the file menu, instead of using the recorder.
  • Images will get a time stamp when loading them from Vision Sensor.
  • Loading images from the sensor on to the PC deletes data on the sensor. If the recorder window is closed without images having been saved, they will also be deleted from the PC.
  • Images are lost from the buffer in the event of a loss of power.


Search and parameter zones

You can define search and parameter zones in the configuration steps alignment and detectors. These are identified in the image window by different coloured frames.

Drawings in the screen (yellow, red frames etc.) can be activated or deactivated for any detector or category in the menu item "View/all drawings". With "View/drawings of current detector only", all drawings on the screen can be deactivated with the exception of the detector currently being processed.

Definition of search and parameter zones

When a new detector is created, a yellow frame is displayed, which defines the detector's search zone. The standard shape of the search zone is a rectangle; with contrast and grey level detectors, a circle can also be selected. The defined parameters (red frame) are found (green frame) provided its centre is within the search zone (yellow frame).

With pattern matching and contour detection detectors, there is also a parameter zone within the search zone which is represented by a red or green frame:

  • Red frame = teach parameters
  • Green frame = parameters found

If position control / check is defined, a blue frame appears also (either a rectangle, circle or ellipse).

If an alignment detector is defined, it's frame is shown in dotted yellow lines.

At the according upper left corner of each frame the number of the detector is shown.

Adapting search and parameter zones

The zones initially displayed in standard size and position can be selected / marked in the image or in the detector list and altered in size and position. Eight adjustment handles on the frame enable you to adapt the shape and size of the frame. Its position can be displaced by clicking anywhere inside the frame. The arrow at the side of the frame pointing to the centre can be used to change the rotational position of the frame.

The taught sample is represented in original size in the General or Parameters tab in the bottom, right-hand corner of the screen. Only the frame of the currently active detector, selected in the image or detector list, is shown with thick lines and adjustment handles, all other frames which are not selected are shown with thin or dotted lines (alignment detector).

Fig.: Search- and feature frames

Information:

  • For optimum detection, parameters must be distinct and not contain any variable parts, e.g. shadows.
  • Significant contours, edges and contrast distinctions are of advantage.
  • To reduce evaluation time, the search zone selected should not be unnecessarily large.

Result bar

On the right next to the search zone, the degree of concordance of the parameter searched for and found is displayed as a fixed result bar with a set threshold value:

  • Green bar = The searched for parameter has been found and the pre-set threshold value of minimum concordance has been achieved.
  • Red bar = The object could not be found with the required degree of concordance. The graphics displayed can be selected in the View menu.


Vision Sensor – Operating- and configuration software – Vision Sensor Visualisation Studio, all functions

This program enables the monitoring of the image from the camera and the inspection results.

Image display

Result

Statistics

Changing active job

Upload

Commands / Freeze image

Image recorder

Archiving test results and images

From this software ONLY monitoring and job change (loading of already defined jobs) can be done. It can be password protected so that you can only view (worker level), or view and load predefined jobs (SuperVision Sensor level)


Image display

The graphical display of an image and the inspection results in the display window depend on the setting of the parameter Image transmission in job settings (Parameters for image transmission in Vision Sensor Configuration Studio) program:

  • Image transmission active: The current image along with the frames for the defined search, parameter and position zones and parameters found are displayed.
  • Image transmission inactive: Only the frames for the defined search, parameter and position zones and parameters found are displayed (current image is not displayed).

The degree of concordance between the parameter searched for and the parameter found appears to the right next to the search zone of the respective detector, in the form of a vertical result bar with a set threshold value:

  • Green bar: The parameter searched for has been found and the pre-set threshold value for concordance has been reached.
  • Red bar: The object could not be found with the required degree of concordance.

An exclamation mark in the top right hand corner of the live picture means, that image processing on PC is slower than image processing on Vision Sensor

. i.e. Not all images are transferred to PC.

This may cause lost images in images archiving. If this symbol occurs often, PC-programs running in background should be closed in order to improve PC performance.

You can configure the graphics of the inspection results in the View menu.

Fig.: Vision Sensor Visualisation Studio

Except the archiving all functions of Vision Sensor Visualisation Studio are available also in the module Vision Sensor Configuration Studio.


Commands / Freeze image

With the "Freeze image" button, you can request single images according to the type required (current image, next image, next failed image) and freeze them in the display window.

The required single image is displayed and the image counter stops at the corresponding image number.

Press "Continue" to end the frozen image state.


Zoom

With the button "Zoom" the image is opened in a new window with enlarged display.


Archiving test results and images

You can archive images with and without graphics, and inspection results on to your PC or an external storage medium for analysis or simulation purposes (see Offline mode).

Access to this function may require password entry (User user group, see user administration).

Configuring archiving:

  1. Select Configure archiving ... from the File menu.

    A dialogue box appears with the following options:

    Fig.: Archiving configuration

    Parameter Function

    Path for archiving

    Directory in which archived file(s) are stored.

    Settings, Automatic Start

    Starts archiving automatically after start of Vision Sensor Visualisation Studio.

    Settings, Archive image circularly

    Activates cyclic overwriting of oldest images if limitation of storage is reached.

    Settings, Limitation (max.)

    In this drop-down menu it is possible to specify which images (all images or only good or bad images) are to be stored.

    Type of images

    Specifies, whether all, good or bad pictures have to be stored.

    Graphics, Bar graph result

    Choice of graphics to be archived in the image.

    Numerical results

    If "record with" is activated, numerical result data such as coordinate values etc. are archived in an additional .csv file.

  2. Select the required options and confirm your choice with OK.

Start/end archiving:

Click on the button "Archive images" in the "Commands" filed to start or end the archiving function with the above mentioned settings. The name of the image file currently to be stored appears in the status bar. Archiving is carried out for as long as the button "Archive images" is pressed.


Statistics

Statistical data from the inspection process is displayed in the Statistics tab in run mode. The statistical data displayed is identical for all types of detectors:

Parameter | Function
All evaluations | Total number of inspections
Good parts | Number of inspections with result "OK"
Bad parts | Number of inspections with result "Error"
Min./max./mean execution time | Min./max./mean execution time for evaluation in ms

All statistic values can be reset to zero with the "Reset" button.

You can archive inspection results and statistical evaluations including selected graphics in the Vision Sensor Visualisation Studio program.


Result

This function executes the job defined on the PC and the Result statistics window is displayed with Detector list and Evaluation results. Execution times are not updated in this mode, as they are not available from the sensor.

Detailed inspection results from the detector marked in the selection list are displayed in run mode.

The image, search and parameter zones and result graphs appear – when set – in the display window.

The parameters displayed vary according to the type of detector selected:

Fig.: Vision Sensor Visualisation Studio, Result

Param. results displayed | Detector type | Function
Result | all | Part / parameter detected (detected = green, not detected = red)
Score 1 .. n | all | Degree of concordance of pattern found with pattern taught
Execution time | all | Cycle time for an evaluation in ms
Position X, Position Y | Contour | Coordinates of parameter found (centre point)
Delta X, Delta Y | Contour | Deviation of coordinates found to taught position / through alignment
Position check | Contour | Position found within the defined position frame
Angle | Contour | Orientation (absolute angle) of parameter found
Delta angle | Contour | Angle deviation between parameter taught and parameter found
Scale | Contour | Scale of contour found in contrast to taught contour.

To show inspection results for another detector, mark it in the selection list.

You can archive inspection results and statistics including selected graphics in Vision Sensor Visualisation Studio.


Changing active job

In the Job tab, the jobs available on the sensor are displayed in the selection list. Here you can switch between different jobs stored on the sensor.

The use of functions which stop an active sensor may require password entry (User group user, see user administration).

Password levels

Fig.: Password levels

Fig.: Vision Sensor Visualisation Studio, Job select

Select a job from the list and activate it with the "Activated" button.

The previous job is deactivated; the selected job is now active.

Attention:

At Job Change and change from Run- to Config Mode outputs will get the following states:

  • Buffer of delayed outputs will be deleted.
  • Digital outputs: will be reset to default at change from "Run" to "Config". Defaults are set by flag "Invert" in output tab. "Invert" inverts the default setting and also the result.
  • Ready and Valid: Ready and Valid show at Job change and at change of operation mode from Run to Config, that the Vision Sensor is not ready and that results are not valid. (Low level)


Upload

You can load new jobs or entire job sets from the PC to the sensor memory in the Upload tab. The available jobs and job sets are displayed in the selection list.

Jobs and job sets can be created in the Vision Sensor Configuration Studio program and stored there under File / Save Job / Save Jobset as .......

Fig.: Vision Sensor Visualisation Studio, Job set upload

Information:

  • A job set consists of one or several jobs which are simultaneously stored in the sensor or on the hard disk.
  • Use of functions which can stop the active sensor may require password entry (User user group, see user administration).
  • Select a job or job set from the list and load it on to the sensor with the "Upload" button.
  • This action deletes all jobs previously stored on the sensor!


Addendum

Telegram, Data output

Serial Communication ASCII

Serial communication BINARY

EtherNet/IP Assembly Request

EtherNet/IP Assembly Response


Telegram, Data output

The following telegrams are available

Serial Communication ASCII

Serial communication BINARY

EtherNet/IP Assembly Request

EtherNet/IP Assembly Response


Serial Communication ASCII

Data format of commands and data output

Communication settings

Communication | Ethernet | RS422
To Sensor, Command | Selectable in Tab: Protocol (Binary or ASCII)
From Sensor, Data output | Selectable in Tab: Protocol (Binary or ASCII)

Commands to sensor in ASCII

Trigger (ASCII) Request string to Sensor
Byte no. | ASCII contents | Significance
1 | T | Trigger, (simple trigger without index, via port 2006)
2 | R
3 | G
Trigger (ASCII) Response string from sensor
Byte no. | Contents | Significance
1 | T | Trigger, (response to trigger without index, via port 2006. If defined: result date without index via port 2005)
2 | R
3 | G
4 | P F | Pass Fail
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | Yes
Accepted when Ready Low: |  | No
Status of Ready signal during processing: |  | Low
End of telegram |  | max. 4 byte (option)

Extended Trigger (ASCII) Request string to Sensor
Byte no. | ASCII contents | Significance
1 | T | Extended Trigger, (trigger with index, for correlation of trigger to the corresponding result data, via port 2006)
2 | R
3 | X
4 | x | Length of following data (n)
5 | x
6...n | x | Data
Extended Trigger (ASCII) Response string from sensor
Byte no. | ASCII contents | Significance
1 | T | Extended Trigger, (reponse to trigger with index and result data, via port 2006, for correlation of trigger to the corresponding result. Result data without index via port 2005 also)
2 | R
3 | X
4 | P F | Pass Fail
5 | x | Length of following data (n)
6 | x
7...n | x | Data of request command
n+1 | x | C = Config R = Run
n+2 | x | Length of following result data (m)
n+3 | x
n+4 | x
n+5 | x
n+6 | x
n+7 | x
n+8 | x
n+9 | x
n+9...m | x | Result data
m+1 | x | End of telegram (option, max 4 byte)
m+2 | x
m+3 | x
m+4 | x
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | Yes
Accepted when Ready Low: |  | No
Status of Ready signal during processing: |  | Low
End of telegram |  | max. 4 byte (option)

Job change-over (ASCII) Request String to Sensor
Byte no. | ASCII contents | Significance
1 | C | Change Job
2 | J
3 | B
4 | X | Job number
5 | X
6 | X
Job change-over (ASCII) Response String from Sensor
Byte no. | Contents | Significance
1 | C | Change Job
2 | J
3 | B
4 | P F | Pass Fail
5 | T F | Triggered Free-run
6 | X | Job number
7 | X
8 | X
Additional information:
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | Low
End of telegram |  | max. 4 byte (option)

Set parameter (ASCII)
Byte No. | Contents | Significance
1 | S | Set parameter
2 | P
3 | P T | P Permanent T Temporary
4 | X | Detector No.
5 | X
6 | X
7 | X | Parameter No. 101 = Reference string
8 | X
9 | X
10 | X | Length of reference string in Bytes (n)
11 | X
12 | X
13 | X
14 | X
15...n | X | New reference string
Set parameter (ASCII) Response string from Sensor
Byte No. | Contents ASCII | Significance
1 | S | Set parameter
2 | P
3 | P T | P Permanent T Temporary
4 | P F | P Pass F Fail
5 | S | Parameter of type STRG (String) was set
6 | T
7 | R
8 | G
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | Low
End of telegram |  | max. 4 byte (option)

Get parameter (ASCII)
Byte No. | Contents | Significance
1 | G | Get parameter
2 | P |
3 | A |
4 | X | Detector No. e.g. 001
5 | X
6 | X
7 | X | Parameter No 101 = Reference string
8 | X
9 | X
Get parameter (ASCII) Response String from Sensor
Byte No. | Contents | Significance
1 | G | Get parameter
2 | P
3 | A
4 | P F | P Pass F Fail
5 | S | Parameter of type STRG (String) was read
6 | T
7 | R
8 | G
9 | X | Length of Reference strings (n) z.B. 00005
10 | X |
11 | X |
12 | X |
13 | X |
14...n | X | Reference string
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | no change
End of telegram |  | max. 4 byte (option)

Get image (ASCII)
Byte No. | Contents | Significance
1 | G | Get image
2 | I
3 | M
4 | X | 0 – Last Image 1 – Last Failed Image 2 – Last Good Image
Get image (ASCII) Response String from Sensor
Byte No. | Contents | Significance
1 | G | Get image
2 | I
3 | M
4 | P F | P Pass F Fail
5 | X | Error type 0 – Success, 1 – Recorder Off 2 – No Matching Image of requested type
6 | X | Image type 0 - greyscale 1 – COLOR_BAYER_GB 2 – COLOR_BAYER_GR 3 – COLOR_BAYER_BG 4 – COLOR_BAYER_RG At conversion of the image from Bayer into RGB, the appropriate image type must be considered. Bei Konvertierung des Farb Bildes von Bayer in RGB, muss der entsprechende Bild Typ berücksichtigt werden.
7 | X | Image result 0 - good image 1 - failed image
8 | X | No of rows e.g. 0480 / 0200
9 | X
10 | X
11 | X
12 | X | No of columns e.g. 0640 / 0320
13 | X
14 | X
15 | X
16...n | X | Binary image data (rows * columns)
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | pulled low
End of telegram |  | max. 4 byte (option)

Set Shutter (ASCII)
Byte No. | Contents | Significance
1 | S | Set Shutter in active Job
2 | S
3 | P T | Permanent Temporary
4 | X | Number of chars of shutter value, e.g. 04
5 | X
6 | X | New shutter value in microseconds, e.g. 8000 = 8 ms
7 | X
8 | X
9 | X
Set Shutter (ASCII) Response String from Sensor
Byte No. | Contents | Significance
1 | S | Set Shutter
2 | S
3 | P T | Permanent Temporary
4 | P F | P Pass F Fail
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | pulled low
End of telegram |  | max. 4 byte (option)

Set ROI (ASCII) |  |
Byte No. | Contents | Significance
1 | S | Set ROI SRP000000490010002001600000012000000 0800000004000000180000 Length49, Detector=1,yellow ROI, rectangle, centre X=160, centre Y=120, half width= 80, half height=40
2 | R
3 | P T | Permanent Temporary
4-11 | X | ROI Info length in bytes from Byte 4 to end e.g. 00000049
12 | X | Detector No. e.g. 001
13 | X
14 | X
15 | X | ROI Index = 00 for yellow ROI
16 | X
17 | X | ROI shape 01=circle / 02=rectangle / 03=ellipse e.g. 02 for rectangle
18 | X
19-26 | X | centre X ( in pixels * 1000), e.g. 160 pixels = 00160000
27-34 | X | centre Y ( in pixels * 1000), e.g. 120 pixels = 00120000
35-42 | X | half width / X-radius ( in pixels * 1000), e.g. 80 Pixel = 0008000
43-50 | X | half height / Y-radius ( in pixels * 1000), e.g. 40 Pixel = 0004000
51-58 | X | Angle (not at circle / ellipse) (in ° * 1000), e.g. 180° = 0018000
Set ROI (ASCII) Response String from Sensor
Byte No. | Contents | Significance
1 | S | Set ROI
2 | R |
3 | P T | Permanent Temporary
4 | P F | P Pass F Fail
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | pulled low
End of telegram |  | max. 4 byte (option)

Get ROI (ASCII)
Byte No. | Contents | Significance
1 | G | Get ROI e.g. GRI00100
2 | R
3 | I
4 | X | Detector No. e.g. 001
5 | X
6 | X
7 | X | ROI Index = 00 for yellow ROI
8 | X
Get ROI (ASCII) Response String from Sensor
Byte No. | Contents | Significance
1 | G | Get ROI
2 | R
3 | I
4 | P F | P Pass F Fail
5 | X | ROI Info length in bytes from Byte 5 to end
6 | X
7 | X | Detector No.
8 | X
9 | X
10 | X | ROI Index = 00 for yellow ROI
11 | X
12 | X | ROI shape 01=circle / 02=rectangle / 03=ellipse
13 | X
14-21 | X | centre X ( in pixels * 1000)
22-29 | X | centre Y ( in pixels * 1000)
30-37 | X | X-radius ( in pixels * 1000)
38-45 | X | Y-radius ( in pixels * 1000)
46-53 | X | Angle (not at circle / ellipse) (in ° * 1000)
Additional information
Accepted in run mode: |  | Yes
Accepted in configuration mode: |  | No
Accepted when Ready Low: |  | Yes
Status of Ready signal during processing: |  | pulled low
End of telegram |  | max. 4 byte (option)

Data output in ASCII

Dynamically composed from user settings in the software

<START> (((<OPTIONAL FIELDS> <SEPARATOR> <PAYLOAD>))) <CHKSUM> <TRAILER>

Output data (ASCII), dynamically composed from user settings in the software

Name | Number of bytes | ASCII contents / example | Significance /Comments
Header | 1 - max. 8 | User defined, max. 8 characters | Start string (Header)
Separator | 1 - 5 | User defined, max. 5 characters (per separator) | Separator from: “after first optional field“, or „after first detector spec. date“
Selected Fields | 16 | 1 Byte per field | by this field output of all active checkboxes "byte-wise" can be activated - Output order is from left to right and from top to down. - For each checkbox there is one byte beginning with LSB = low significant bit. - Checkbox "Selected fields" is not part of the output! P = logical output set F = logical output not set 0 = logical output not active
Data length | n | One byte per figure of decimal number e.g. 102 „1“; „0“; „2“ | Length of telegram in bytes
Status | 3 | “110” triggered mode or “101” free-run mode |
Detector result | n | Byte 1 = AND conjunction of all detectors Byte 2 = Boolean result of alignment Byte 3 = global result of the active job Following Bytes: number of detectors Following Bytes: Detector results, "P" = Pass, "F" = Fail, last byte is first detector Length: 4 Byte + 1 Byte per each used detector |
Digital outputs | n | First Bytes: number of active outputs Following Bytes: digital outputs | P = logical output set F = logical output not set 0 = logical output not active
Logical outputs | n | First Bytes: number of active logical outputs Following Bytes:logical outputs | Example: 18 logical outputs are configured, but only output1,2 and 9 are linked to functions (are active): 3PP000000P 2 bytes number of active outputs, all results bit-coded ... In this example there are needed 2 bytes because of output 9.... P = logical output set F = logical output not set 0 = logical output not active
Total exec. time | n |  | Current (job) cycle time in [ms]
Active job no. | 1-3 |  | Active job no. (1..255)
<<Detector specific>>
Detector result | 1 | P = Pass F = Fail | Boolean detector result
Score value 1 .. n | 1-3 |  | Score (0..100%)
Execution time | n |  | Execution time of individual detector in [msec].
Position X 1 .. n | n | e.g.: X = 180 (pix) = (in ASCII) "180000" = 6 Byte | Position found X (x-coordinate). [1/1000]
Position Y 1 .. n | n |  | Position found Y (y-coordinate). [1/1000]
DeltaPos X | n |  | Delta position X between object taught and object found [1/1000]
DeltaPos Y | n |  | Delta position X between object taught and object found [1/1000]
Angle | n |  | Orientation of object found (0°..360°) [1/1000)
Delta Angle | n |  | Angle between object taught and object found (0°..360°) [1/1000]
Scaling | n |  | Only with contour (0.5..2) [1/1000]
String | 1...n | Maximum length 127!! | Contents of Code, depending from code string length may change, if a fix string length is needed, parameters minimum string length (detector specific data output) and maximum string length (detector parameters) have to be used.
String length | n |  | Length of Code in Bytes
Truncated | 1 | F = Code complete, P = Code truncated | Code truncated
Checksum | 3 |  | XOR checksum of all bytes in telegram
Trailer | 1 - max. 8 | User defined, max. 8 characters | End of string (Trailer)

All detector-specific data with decimal places are transmitted as whole numbers (multiplied by 1000) and must therefore be divided by 1000 after receipt of data.


Serial communication BINARY

Data format of commands and data output

Communication settings

Communication | Ethernet | RS422
To Sensor, Command | Selectable in Tab: Protocol (Binary or ASCII)
From Sensor, Data output | Selectable in Tab: Protocol (Binary or ASCII)

Commands to sensor in BINARY

Trigger (Binary) Request string to sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x05
5 | Unsigned Char | 0x01 | Trigger command, (simple trigger without index, via port 2006)
Trigger (Binary) Answer string from sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x07
5 | Unsigned Char | 0x01 | Trigger command, (response to trigger without index, via port 2006. If defined: result data without index via port 2005)
6 | Unsigned Short | 0x00 | Error code, 0 = Pass, 1 = Fail
7 |  | 0xXX |
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | Yes
Accepted when Ready Low: |  |  | No
Status of Ready signal during processing: |  |  | Low

Extended Trigger (Binary) Request string to sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x05
5 | Unsigned Char | 0x013 | Extended Trigger command, (trigger with index for correlation of trigger to the correponding result data, via port 2006)
6 | Unsigned Char | 0xXX | Length of following data (n)
7...n | Unsigned Char | 0xXX | Data
Extended Trigger (Binary) Answer string from sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x07
5 | Unsigned Char | 0x013 | Extended Trigger command, (response to trigger with index and result data, via port 2006, for correlation of trigger to corresponding result, Result data without index, via port 2005 also)
6 | Unsigned Short | 0x00 | Error code 0 = Pass 1 = Fail
7 |  | 0xXX
8 | Unsigned Char | 0xXX | Length of following data (n)
9...n | Unsigned Char | 0xXX | Data of request command
n+1 | Unsigned Char [] | 0xXX | Operating mode 0 = Config Mode 1 = Run Mode
n+2 | Unsigned Int | 0xXX | Length of following result data (m)
n+3 |  | 0xXX
n+4 |  | 0xXX
n+5 |  | 0xXX
n+6 | Unsigned Int [] | 0xXX | Result data
n+7 |  | 0xXX
n+8 |  | 0xXX
n+9...m |  | 0xXX
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | Yes
Accepted when Ready Low: |  |  | No
Status of Ready signal during processing: |  |  | Low
Job change-over (Binary) Request string to sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x06
5 | Unsigned Char | 0x02 | Job change-over command
6 | Unsigned Char | 0xXX | Job no, XX = 1- n
Job change-over (binary) Answer string from sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x09
5 | Unsigned Char | 0x02 | Job change-over command
6 | Unsigned Short | 0x00 | Error code, 0 = Pass, 1 = Fail
7 |  | 0xXX |
8 | Unsigned Char | 0xXX | Trigger mode 0 = triggered 1 = free-run
9 | Unsigned Char | 0xXX | Job no, XX = 1- n
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Low

Set parameter (Binary) Request string to Sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram = 9 Bytes + length of string (n)
2 |  | 0x00
3 |  | 0x00
4 |  | 0xn
5 | Unsigned Char | 0x05 0x06 | Command set parameter permanent Command set parameter temporary
6 | Unsigned Char | 0xXX | Detector no., XX = 1- n
7 | Unsigned Char | 0x65 | Command: Set reference string*1), see below !
8 | Unsigned Short | 0x00 | Length new reference string (n)
9 |  | 0x0n
10..n | Unsigned Char | 0xn | Reference string
Set parameter (Binary) Response string from Sensor (may be 4-5 Seconds delayed)
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00 |
3 |  | 0x00 |
4 |  | 0x08 |
5 | Unsigned Char | 0x05 0x06 | ID set reference string permanent ID set reference string temporary
6 | Unsigned Short | 0xXX | Error Code 00 00 = Pass Error Code 00 01 = Fail
7 |  | 0xXX |
8 | Unsigned Char | 0x0A | Parameter type string
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Low

*1) Byte No. 7: Command: set reference string:

Detector | Function | Command | Length of following data
Alignment Contour | Threshold Min Threshold Max | 1 2 | 4 4
Pattern matching | Threshold Min Threshold Max | 1 2 | 4 4
Contour | Threshold Min Threshold Max | 1 2 | 4 4
Grey Level | Threshold Min Threshold Max GreyMin GreyMax | 1 2 101 102 | 4 4 4 4
Contrast | Threshold Min Threshold Max | 1 2 | 4 4
Barcode | Reference String | 101 | n
Datacode | Reference String | 101 | n

Get parameter (Binary) Request string to Sensor
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x07
5 | Unsigned Char | 0x0A | Command get parameter
6 | Unsigned Char | 0xn | Detector no., XX = 1- n
7 | Unsigned Char | 0x65 | Command: Set reference string*1), see below !
Get Parameter (Binary) Response string from Sensor (may be 4-5 Seconds delayed)
Byte no. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram = 10 Bytes + Length of string (n)
2 |  | 0x00
3 |  | 0x00
4 |  | 0x0n
5 | Unsigned Char | 0x0A | ID get parameter
6 | Unsigned Short | 0xXX | Error Code 00 00 = Pass Error Code 00 01 = Fail
7 |  | 0xXX |
8 | Unsigned Char | 0x0A | Parameter type string
9 | Unsigned Short | 0x00 | Length of parameter (n)
10 |  | 0x0n |
11..n | Unsigned Char | 0xn | Reference string
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | No change

*1) Byte No. 7: Command: set reference string:

Detector | Function | Command | Length of following data
Alignment Contour | Threshold Min Threshold Max | 1 2 | 4 4
Pattern matching | Threshold Min Threshold Max | 1 2 | 4 4
Contour | Threshold Min Threshold Max | 1 2 | 4 4
Grey Level | Threshold Min Threshold Max GreyMin GreyMax | 1 2 101 102 | 4 4 4 4
Contrast | Threshold Min Threshold Max | 1 2 | 4 4
Barcode | Reference String | 101 | n
Datacode | Reference String | 101 | n

Get image (Binary) Request string to Sensor
Byte No. | Data type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x06
5 | Unsigned Char | 0x03 | Get image
6 | Unsigned Char | 0xXX | 0 – Last Image 1 – Last Failed Image 2 – Last Good Image
Get image (Binary) Response String from Sensor
Byte No. | Data type | Contents | Significance
1 | Unsigned Int | 0xXX | Length of telegram e.g. 00 04 B0 0D
2 |  | 0xXX
3 |  | 0xXX
4 |  | 0xXX
5 | Unsigned Char | 0x03 | Response ID Get image
6 | Unsigned short | 0xXX | Error code 00 00 – Success, 00 01 – Recorder Off 00 02 – No Matching Image of requested type
7 |  | 0xXX
8 | Unsigned Char | 0xXX | Image type 0 - greyscale 1 – COLOR_BAYER_GB 2 – COLOR_BAYER_GR 3 – COLOR_BAYER_BG 4 – COLOR_BAYER_RG At conversion of the image from Bayer into RGB, the appropriate image type must be considered. Bei Konvertierung des Farb Bildes von Bayer in RGB, muss der entsprechende Bild Typ berücksichtigt werden.
9 | Unsigned Char | 0xXX | Image result 00 - good image 01 - failed image
10 | Unsigned short | 0xXX | No of rows e.g. 01 E0
11 |  | 0xXX
12 | Unsigned short | 0xXX | No of columns e.g. 02 80
13 |  | 0xXX
14...n | Unsigned Char | 0xXX | Binary image data (rows * columns)
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Pulled low

Set Shutter (Binary) Request string to Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00 |
3 |  | 0x00 |
4 |  | 0x09 |
5 | Unsigned Char | 0x0E 0x0F | Command set shutter temporary Command set shutter permanent
6 | Unsigned Int | 0xXX | Shutter value (in microseconds)
7 |  | 0xXX |
8 |  | 0xXX |
9 |  | 0xXX |
Set Shutter (Binary) Response String from Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x07
5 | Unsigned Char | 0x0E 0x0F | ID set shutter temporary ID set shutter permanent
6 | Unsigned Short | 0x00 | Error Code 00 00 = Pass Error Code 00 01 = Fail
7 | 0xXX |
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Pulled Low

Set ROI (Binary) Request string to Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x32
5 | Unsigned Char | 0x10 0x11 | Command set ROI temporary Command set ROI permanent
6 | Unsigned Int | 0xXX | ROI Info Length in Bytes from Byte 6 to end
7 |  | 0xXX
8 |  | 0xXX
9 |  | 0xXX
10 | Unsigned Char | 0xXX | Detector No.
11 | Unsigned Char | 0x00 | ROI Index = 00 = yellow ROI
12 | Unsigned Char | 0xXX | ROI shape 01=circle / 02=rectangle / 03=ellipse
13 | Unsigned Int | 0xXX | ROI Parameter: centre X (in Pixels * 1000)
14 |  | 0xXX
15 |  | 0xXX
16 |  | 0xXX
17 | Unsigned Int | 0xXX | ROI Parameter: centre Y (in Pixels * 1000)
18 |  | 0xXX
19 |  | 0xXX
20 |  | 0xXX
21 | Unsigned Int | 0xXX | ROI Parameter: width / radius X (in Pixels* 1000)
22 |  | 0xXX
23 |  | 0xXX
24 |  | 0xXX
25 | Unsigned Int | 0xXX | Only ellipse / rectangle: ROI Parameter: width / radius Y (in Pixels* 1000)
26 |  | 0xXX
27 |  | 0xXX
28 |  | 0xXX
29 | Unsigned Int | 0xXX | Only ellipse / rectangle: ROI Parameter: Angle in ° (in ° * 1000)
30 |  | 0xXX
31 |  | 0xXX
32 |  | 0xXX
Set ROI (Binary) Response String from Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x07
5 | Unsigned Char | 0x10 0x11 | ID set ROI temporary ID set ROI permanent
6 | Unsigned Short | 0x00 | Error Code 00 00 = Pass Error Code 00 01 = Fail
7 |  | 0xXX
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Pulled Low

Get ROI (Binary) Request string to Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x09
5 | Unsigned Char | 0x12 | Command get ROI
6 | Unsigned Char | 0xXX | Detector No.
7 | Unsigned Char | 0xXX | ROI Index = 00 = yellow ROI
Get ROI (Binary) Response String from Sensor
Byte No. | Data Type | Contents | Significance
1 | Unsigned Int | 0x00 | Length of telegram
2 |  | 0x00
3 |  | 0x00
4 |  | 0x34
5 | Unsigned Char | 0x12 | ID get ROI
6 | Unsigned Short | 0x00 | Error Code 00 00 = Pass Error Code 00 01 = Fail
7 |  | 0xXX
8 | Unsigned Int | 0xXX | ROI Info Length in Bytes from Byte 8 to end
9 |  | 0xXX
10 |  | 0xXX
11 |  | 0xXX
12 | Unsigned Char | 0xXX | Detector No.
13 | Unsigned Char | 0x00 | ROI Index = 00 = yellow ROI
14 | Unsigned Char | 0xXX | ROI shape 01=circle / 02=rectangle / 03=ellipse
15 | Unsigned Int | 0xXX | ROI Parameter: centre X (in Pixels * 1000)
16 |  | 0xXX
17 |  | 0xXX
18 |  | 0xXX
19 | Unsigned Int | 0xXX | ROI Parameter: centre Y (in Pixels * 1000)
20 |  | 0xXX
21 |  | 0xXX
22 |  | 0xXX
23 | Unsigned Int | 0xXX | ROI Parameter: width / radius X (in Pixels* 1000)
24 |  | 0xXX
25 |  | 0xXX
26 |  | 0xXX
27 | Unsigned Int | 0xXX | Only ellipse / rectangle: ROI Parameter: width / radius Y (in Pixels* 1000)
28 |  | 0xXX
29 |  | 0xXX
30 |  | 0xXX
31 | Unsigned Int | 0xXX | Only ellipse / rectangle: ROI Parameter: Angle in ° (in ° * 1000)
32 |  | 0xXX
33 |  | 0xXX
34 |  | 0xXX
Additional information
Accepted in run mode: |  |  | Yes
Accepted in configuration mode: |  |  | No
Accepted when Ready Low: |  |  | Yes
Status of Ready signal during processing: |  |  | Pulled Low

Data output from sensor in BINARY

dynamically composed from user settings in the software

Main string structure:<START> <OPTIONAL FIELDS> <PAYLOAD> <CHKSUM> <TRAILER>

Output data (BINARY), dynamically composed from user settings in the software
Name | Number of bytes | Binary contents / Example | Significance /Comments
Start | 1 - max. 8 | User defined, max. 8 Bytes | Start string (Header)
Selected fields | 2 (Word) | 1 Bit per field | By this field output of all active checkboxes "bit-wise" (in 2Bytes!) can be activated - Output order is from left to right and from top to down. - For each checkbox there is one bit (high/low) beginning with LSB = low significant bit. - Checkbox "Selected fields" is not part of the output!
Data length | 2 (Word) | e.g. 0x00, 0x02 = length = 2 Byte | Length of telegram in Bytes
Status | 2 (Word) | e.g. 0x00, 0x06 (triggered) e.g. 0x00, 0x05 (free-run) | Byte1: 00000xxx Bit0 = 1 = <Free-run> Bit1 = 1 = <triggered> Bit2 = <Op.mode> (1=run/0=config) Byte2 (reserved), always 0x00
Detector result | 4..n | e.g.. 0x05 (Bit1+3=5) 0x00 (two bytes number of detectors) 0x01 0x01 (Detector result D1) | Byte 1 Bit1 (LSB) = global job result (1 = Pass, 0 = Fail) Bit2 = Boolean result, alignment only, alignment inactive = true Bit3 = AND conjunction of all detectors of the active job Byte 2 and 3 two byes for the number of detectors inside job (without alignment) Byte 4 - n 1 Byte per each block of 8 used detectors e.g.: Bit1(LSB) = Detector 1, Bit2 = Det. 2, ....
Digital outputs | n | Byte 1 and 2: number of active outputs Bytes 3 ... n: outputs, bit-coded | Results of all digital outputs (bit-coded)
Logical outputs | n | Byte 1 ... n number of active logical outputs Byte n ... m all active logical outputs, bit-coded | Example: 18 logical outputs are configured, but only output1,2 and 9 are linked to functions (are active): 000, 003, 003, 001 2 bytes number of active outputs, all results bit-coded ... In this example there are needed 2 bytes because of output 9.... 1. result byte = 00000011 (log. output 1+2) 2. result byte = 00000001 (log. output 9)
Total exec. time | 4 (Integer) |  | Current (job) cycle time in [ms]
Active job no. | 1 |  | Active Job no. (1..255)
<<Detector specific>>
Detector result | 1 | (1 = Pass, 0 = Fail) | Boolean detector result
Score value 1 .. n | 4 |  | Score (0..100%)
Execution time | 4 |  | Execution time of individual detector in [msec].
Position X1 .. n | 4 |  | Position found X (x-coordinate). [1/1000]
Position Y1 .. n | 4 |  | Position found Y (y-coordinate). [1/1000]
DeltaPos X | 4 |  | Delta Position X between object taught and object found [1/1000]
DeltaPos Y | 4 |  | Delta Position X between object taught and object found [1/1000]
Angle | 4 |  | Orientation of object found (0°..360°) [1/1000)
Delta Angle | 4 |  | Angle between object taught and object found (0°..360°) [1/1000]
Scaling | 4 |  | Only with contour (0.5..2) [1/1000]
String | 1...n | Maximum length 127!! | Contents of Code, depending from code string length may change, if a fix string length is needed, parameters minimum string length (detector specific data output) and maximum string length (detector parameters) have to be used.
String length | 4 |  | Length of Code in Bytes
Truncated | 1 | 0x00 = Code complete, 0x01 = Code truncated | Code truncated
Checksum | 1 |  | XOR-checksum of all bytes in telegram
Trailer | 1 - max. 8 |  | End of string (Trailer)

All detector-specific data with decimal places are transmitted as whole numbers (multiplied by 1000) and must therefore be divided by 1000 after receipt of data.

Values are transferred in format "Big-endian". (there are two different architectures for handling memory storage. They are called Big Endian and Little Endian and refer to the order in which the bytes are stored in memory, in the case of the Vision Sensor architecture the data is stored Big End In first)

Example: "Score" Value (Binary protocol)

In Vision Sensor Configuration Studio/Vision Sensor Visualisation Studio "Score" = 35 is displayed.

Over Ethernet there will be received the following four bytes: 000,000,139,115

Formula for recalculating: (HiWordByte*256 + HiLowByte) *65536 + HiByte*256 + LoByte = Value

Because Big-endian (from Sensor) is sent calculation goes as following:

000 = HiWordByte, 000 = HiLowByte, 139 = HiByte, 115 = LoByte

(0*256 + 0) * 65536 + (139 * 256) + 115 = 35699 / 1000 = 35,699 (real score value)

Angles or other negative values are transferred in two's complement.


EtherNet/IP Assembly Request

Communication Settings

Description: | Response returned from sensor to PLC
Class: | Class 1
nAssemblyInstance | 101
nType | AssemblyProducing
nLength (bytes) | 444
szAssemblyName | AssemblyResponse

Assembly request

Position | Size (bytes) | Member | Data type | Description
0 | 2 | unKey | U16 | request key, e.g. a request counter
2 | 2 | unId | U16 | request ID, e.g. for requests "trigger", "change job"
4 | 2 | unNumChar | U16 | no. of valid char parameters
6 | 2 | unNumInt | U16 | no. of valid int parameters
8 | 256 | pcValueChar[RQST_NUM_CHAR] | I8 | char parameters for request, member may only hold one string
264 | 80 | pnValueInt[RQST_NUM_INT] | I32 | int parameters for request


EtherNet/IP Assembly Response

Communication-Settings

Description: | Request posted to sensor from PLC
Class: | Class 1
nAssemblyInstance | 100
nType | AssemblyConsuming
nLength (bytes) | 344
szAssemblyName | AssemblyRequest

Assembly response

Position | Size (bytes) | Member | Data type | Description
0 | 4 | unFault | U32 | member is standard in Rockwell RSLogix
4 | 2 | unKey | U16 | request key is returned in response
6 | 2 | unId | U16 | request ID is returned in response
8 | 2 | unError | U16 | error code of response
10 | 2 | unNumChar | U16 | no. of valid char parameters
12 | 2 | unNumInt | U16 | no. of valid int parameters
14 | 2 | ucAlignmentDummy | U8 |
16 | 16 | pcValueChar[RPNS_NUM_CHAR] | I8 | char parameters for response, member may only hold one string
32 | 16 | pnValueInt[RPNS_NUM_INT] | U32 | int parameters for response
48 | 4 | unImageCount | U32 | no. of last processed image.
52 | 4 | unExecutionTime | U32 | execution time in msec of last processed image.
56 | 4 | pucStatus[RPNS_IMPL_NUM_BYTE_STATUS] | U8 | status information, including operation mode
60 | 2 | unActiveJob | U16 | active job
62 | 2 | ucAlignmentDummy | U8 |
64 | 2 | unNumDigital | U16 | no. of valid digital outputs
66 | 2 | unNumLogic | U16 | no. of valid logic outputs
68 | 2 | unNumDetector | U16 | no. of valid logic outputs
70 | 2 | unNumBool | U16 | no. of valid boolean parameters
72 | 2 | unNumString | U16 | no. of strings included in pcValueChar
74 | 2 | unNumInt | U16 | no. of valid int parameters
76 | 4 | pucDigital[RPNS_IMPL_NUM_BYTE_DIGITAL] | U8 | digital outputs (bitwise)
80 | 8 | pucLogic[RPNS_IMPL_NUM_BYTE_LOGIC] | U8 | logic outputs (bitwise)
88 | 4 | pucDetector[RPNS_IMPL_NUM_BYTE_DETECTOR] | U8 | detector results (bitwise), formerly stored in pucValueBool
92 | 4 | pucBool[RPNS_IMPL_NUM_BYTE_BOOL] | U8 | boolean results (bitwise) as configured in HMI (listbox)
96 | 16 | punStringLength[RPNS_IMPL_NUM_STRING] | U16 | lengths of strings included in pcValueChar
112 | 2 | pucStringTruncated[RPNS_IMPL_NUM_BYTE_STRING_TRUNCATED] | U8 | indicates for each string whether it has been truncated (bitwise)
114 | 2 | ucAlignmentDummy | U8 |
116 | 128 | pcString[RPNS_IMPL_NUM_BYTE_STRING] | I8 | char result as configured in HMI (listbox), member may hold multiple strings
244 | 200 | pnInt[RPNS_IMPL_NUM_INT] | U32 | int results as configured in HMI (listbox)


Network connection


Network settings, Short reference

The following instructions indicate how to change the network configuration of the PC and the Vision Sensor. If incorrect settings are used, the network connections in the computer may be lost. To be on the safe side, note the former settings for later use if required.

Following this procedure, it may be necessary to re-start the system. In order to determine which IP addresses are allowed in your network or locally in your PC, and to carry out the necessary settings on your PC, contact the system administrator beforehand.

The illustrations, dialogues and menus originate from the operating system Microsoft
WindowsXPTM. The illustrations are similar in other operating systems.